<?php
session_start();
$data_group_menu = true;
$data_group_school_search = true;

require "config.php";
require "functions.php";


if(!isset($_SESSION['super_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/oauth/login/'>";
    exit;
}

//block opening page if id isnt specified.
if (!isset($_GET['id'])){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/0/super/oauth/view-schools.php'>";
    exit();
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head><meta charset="windows-1252">
        
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit School Status - Super Admin</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

        <!-- Sweet Alert -->
        <link rel="stylesheet"
              href="public/css/sweetalert.css">
        <!-- Toastr Alert -->    
        <link type="text/css" href="public/vendor/toastr.min.css" rel="stylesheet">
        <link type="text/css" href="public/css/toastr.css" rel="stylesheet">
    </head>

    <body class="layout-boxed ">

        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->
        </div>

        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <?php
                include("include/top-nav-bar.php");
                
                ?>
                
                
                
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container-fluid page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Change School Status</h2>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>

                                    <li class="breadcrumb-item">
                                        <a href="">Data Group</a>
                                    </li>
                                    
                                    <li class="breadcrumb-item active">
                                       <a href="view-schools.php"> View School</a>
                                    </li>

                                    <li class="breadcrumb-item active">
                                        Change School Status
                                    </li>

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="add-school.php"
                                   class="btn btn-outline-secondary">Add School</a>
                                   <a href="add-school-admin.php"
                                   class="btn btn-outline-secondary">Add School Admin</a>
                            </div>
                        </div>

                    </div>
                </div>
                
                <form method="post" action="" id="form1"></form>

                <!-- Page Content -->

                <div class="container-fluid page__container page-section">
                    
                            <div class="card">
                                <div class="card-header">
                                    <div class="d-flex align-items-center">
                                        <div class="flex">
                                            <strong class="card-title">Info</strong>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="alert alert-soft-warning mb-0 p-8pt">
                                        <div class="d-flex align-items-start">
                                            <div class="mr-8pt">
                                                <i class="material-icons">error_outline</i>
                                            </div>
                                            <div class="flex">
                                                <small class="text-100">This tool switches off all the functionalities of a school, it can be used when a school failed to make payment and has 
                                                exceeded the grace period. It temporarily suspends a school.<br>
                                                Technically, it sets the &#39;school status&#39; field on &#39;schools&#39; table to 0.</small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                    <div class="row mb-32pt">
                        <div class="col-lg-4">
                            <div class="page-separator">
                                <div class="page-separator__text">Selected School</div>
                            </div>
                        </div>
                            
                        
                        <div class="col-lg-12 d-flex align-items-center">
                            <div class="flex" style="max-width: 100%">
                                 <div class="card mb-lg-32pt">
                                     

                        <div class="table-responsive" data-toggle="lists">

                            <table class="table mb-0 thead-border-top-0 table-nowrap">
                                <thead>
                                    <tr>
                                        <th>
                                            <a>SN</a>
                                        </th>
                                        <th>
                                            <a>School Id</a>
                                        </th>
                                        <th style="max-width=10px;">
                                            <a>Name</a>
                                        </th>
                                        <th>
                                            <a>Category</a>
                                        </th>
                                        <th>
                                            <a>Location</a>
                                        </th>
                                        <th>
                                            <a>Action</a>
                                        </th>
                                    </tr>
                                </thead>
<?php
//get school_id from url
$school_id = htmlspecialchars($_GET["id"]);

$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id`=?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$sn = 1;
while($row = $result->FETCH_ASSOC()){
$status = $row['school_status'];
$school_name = $row['school_name']
?>
                                <tbody class="list" id="clients">
                                    <tr>
                                        <td>
                                            <small class="text-50"><?php echo $sn; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['school_id']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['school_name']; ?></small>
                                        </td>
                                        <td>
                                            <small class="text-50"><?php echo ucwords($row['school_category']); ?></small>
                                        </td>

                                        <td>
                                            <small class="text-50"><?php echo $row['school_location']; ?></small>
                                        </td>

                                        <td>
                                            <input name="submit" class="btn <?php if($row['school_status']==1){echo "btn-warning"; 
                                                    }else{echo "btn-success"; } ?>" type="submit" value="<?php if($row['school_status']==1){echo "DEACTIVATE"; 
                                                    }else{echo "ACTIVATE"; } ?>" form="form1">
                                        </td>
                                    </tr>
                                </tbody>
<?php 
$sn+=1;
    }
if (isset($_POST['submit'])){
    if ($status == 0){
        $stmt = $conn->PREPARE("UPDATE `schools` SET `school_status`= 1 WHERE `school_id` = ?");
        $stmt->BIND_PARAM("s", $school_id);
        if ($stmt->EXECUTE()){
            $message = "Success, the school is now <strong>active</strong>...returning to school list.";
            //send notifications
            notify($school_id, "$school_name was activated!");
        }
    }elseif ($status == 1){
        $stmt = $conn->PREPARE("UPDATE `schools` SET `school_status`= 0 WHERE `school_id` = ?");
        $stmt->BIND_PARAM("s", $school_id);
        if ($stmt->EXECUTE()){
            $message = "Success, the school is now <strong>inactive</strong>...returning to school list.";
            notify($school_id, "$school_name was deactivated!");
        }
    }else{
        $message = "Something is wrong. Database Error!!!";
    }
}
?>
                            </table>
                            
                            
                        </div>
                        
                    </div>
                    
                    
                    <?php if($message){echo "<div class='alert alert-primary' role='alert'><div class='flex' style='min-width: 180px'><small>".$message."</small></div></div>"; 
                        //return to school list after 3 secs
                        echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/oauth/view-schools.php'>";
                    } 
                    ?>
                    
                    
                            </div>
                        </div>
                    </div>
                    
                </div>
                
                
                <!-- // END Page Content -->

                <?php 
                include("include/footer.php");
                
                ?>

            </div>

            <!-- // END drawer-layout__content -->
            
                <?php
                include("include/main-nav-bar.php");
                
                ?>

            
        </div>

        <!-- // END Drawer Layout -->
        
        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>
        
         <!-- Sweet Alert -->
        <script src="public/vendor/sweetalert.min.js"></script>
        <script src="public/js/sweetalert.js"></script>
        
        <!-- Highlight.js -->
        <script src="public/js/hljs.js"></script>
        
        <!-- Toaster.js -->
        <script src="public/vendor/toastr.min.js"></script>
        <script src="public/js/toastr.js"></script>

    </body>

</html>
<!-- block refresh resend data -->
<script>
        if ( window.history.replaceState ) {
              window.history.replaceState( null, null, window.location.href );
                }
</script>