<?php
session_start();
include 'config.php';
include 'sfunctions.php';

$school_setup_menu=true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
$school_id = $_SESSION['school_id'];

//get next student id from school id
function student_id($school_id){
    include 'config.php';
    $stmt = $conn->PREPARE("SELECT `student_id` FROM `students` WHERE `school_id` = ?");
    $stmt->BIND_PARAM("s", $school_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    if (mysqli_num_rows($result)==0){
        $student_id_pre = 1001;
    }else{
        while($row=$result->fetch_assoc()){
            $student_idt1 = $row['student_id'];
            $student_idt =substr($student_idt1,-4); 
        }
        $student_id_pre = $student_idt + 1;
    }
    $student_id = "S".$school_id."/S/".$student_id_pre;
    return $student_id;
}

//fetch school record from schools table
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = strtolower($row['school_name']);
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}

//check submit and send details to `students` table
if (isset($_POST['submit'])){
    //prepare data
    $firstname = strtolower($_POST['firstname']);
    $lastname = strtolower($_POST['lastname']);
    $middlename = strtolower($_POST['middlename']);
    $gender = strtolower($_POST['gender']);
    $dob = $_POST['dob'];
    $blood_group = $_POST['blood_group'];
    $medical = $_POST['medical_details'];
    $religion = strtolower($_POST['religion']);
    $address = strtolower($_POST['address']);
    $class = strtolower($_POST['class']);
    $subject01 = $_POST['subject01'];
    $subject02 = $_POST['subject02'];
    $subject03 = $_POST['subject03'];
    $subject04 = $_POST['subject04'];
    $subject05 = $_POST['subject05'];
    $subject06 = $_POST['subject06'];
    $subject07 = $_POST['subject07'];
    $subject08 = $_POST['subject08'];
    $subject09 = $_POST['subject09'];
    $subject10 = $_POST['subject10'];
    
    //get student id
    $student_id = student_id($school_id);
    $password = $firstname.".".$lastname;
    $password_hash = PASSWORD_HASH($password, PASSWORD_DEFAULT);
    
    //insert student records
    $stmt = $conn->PREPARE("INSERT INTO `students`(`firstname`, `lastname`, `middlename`, `gender`, `dob`, `blood_group`, `medical`, `religion`, `address`, `school_id`, `student_id`,`school_name`, `password`, `class`, `subject01`, `subject02`, `subject03`, `subject04`, `subject05`, `subject06`, `subject07`, `subject08`, `subject09`, `subject10`) 
                            VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
    $stmt->BIND_PARAM("ssssssssssssssssssssssss",$firstname,$lastname,$middlename,$gender,$dob,$blood_group,$medical,$religion,$address,$school_id,$student_id,$school_name,$password_hash,$class,$subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10);
    if ($stmt->EXECUTE()){
        $message.= "<em>Kindly note the information below</em> <br>";
        $message.= "<br> Student addedd successfully";
        $message.="<br> Student_id is: "."<strong>".$student_id."</strong>";
        $message.="<br> Student default password is: "."<strong>".$firstname.".".$lastname."</strong>";
        $message.= "<br><br><div class='alert alert-warning'>Make this information available to the student.</div>";
        //send notifications
        notify($school_id, "$lastname, $firstname was successfully added as a student to $school_name.");
        
    }
    
    $stmt ->close;
    
    //prepare data
    $p_firstname = strtolower($_POST['p_firstname']);
    $p_lastname = strtolower($_POST['p_lastname']);
    $p_title = strtolower($_POST['p_title']);
    $p_email = strtolower($_POST['p_email']);
    $p_mobile = $_POST['p_mobile'];
    $p_work = $_POST['p_work'];
    $p_home = $_POST['p_home'];
    
    //create parent password
    $p_password = $p_firstname.".".$p_lastname;
    $p_password_hash = PASSWORD_HASH($p_password, PASSWORD_DEFAULT);
    
    //insert parent records
    $stmt1 = $conn->PREPARE("INSERT INTO `parents`(`school_id`, `student_id`, `school_name`, `title`, `firstname`, `lastname`, `email`, `mobile`, `work`, `home`, `password`) 
                            VALUES (?,?,?,?,?,?,?,?,?,?,?)");
    $stmt1->BIND_PARAM("sssssssssss",$school_id,$student_id,$school_name,$p_title,$p_firstname,$p_lastname,$p_email,$p_mobile,$p_work,$p_home,$p_password_hash);
    if ($stmt1->EXECUTE()){
        $message1.= "Parent added successfully";
        $message1.="<br> Parent login ID is: "."<strong>".$student_id."</strong>";
        $message1.="<br> Parent default password is: "."<strong>".$p_firstname.".".$p_lastname."</strong>";
        $message1.= "<br><br><div class='alert alert-success'>An email has been sent to the parent at <strong>$p_email</strong> containing the student and parent login details.</div>";
        //send notifications
        notify($school_id, "$p_lastname, $p_firstname was successfully added as a parent for $lastname, $firstname to $school_name.");
        
    }
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add a Student - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">
              
        <!-- Select2 -->
        <link type="text/css"
              href="public/vendor/select2/select2.min.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/select2.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/flatpickr-airbnb.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item active">
                                                School Admin
                                            </li>
                                            <li class="breadcrumb-item active">
                                                Add Student
                                            </li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-teacher.php"
                                           class="btn btn-outline-secondary">Add Teacher</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                        

                        <div class="container page__container page-section">
<?php 

if (isset($_POST['submit'])){
// echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message."</br>"."</br>".$message1;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}
?>
                            <div class="row mb-32pt">
                                <div class="col-lg-12">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Add Student Details</div>
                                    </div>
                                    <p class="card-subtitle text-70 mb-16pt mb-lg-0">
                                    Please provide the following details about the student    
                                    </p></br></br>
                                </div>
                                <div class="col-lg-12 d-flex align-items-center">
                                    <div class="flex" style="max-width: 100%">
                                        <form method="post" action="">
                                            <div class="form-group">
                                                <label class="form-label" for="firstname">First Name</label>
                                                <input name="firstname"  type="text" class="form-control" id="firstname" placeholder="Enter student first name ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="lastname">Last Name (- Surname)</label>
                                                <input name="lastname"  type="text" class="form-control" id="lastname" placeholder="Enter student last name ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="middlename">Middle Name</label>
                                                <input name="middlename"  type="text" class="form-control" id="middlename" placeholder="Enter student middle name ...">
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="gender-select">Gender</label>
                                                <select name="gender" id="gender-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select student's gender</option>
                                                    <option value="Male">Male</option>
                                                    <option value="Female">Female</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label">Date of Birth</label>
                                                <input name="dob" type="hidden" class="form-control flatpickr-input" data-toggle="flatpickr" value="2000-01-01" required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="blood-select">Blood Group</label>
                                                <select name="blood_group" id="blood-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select student's blood group</option>
                                                    <option value="A+">A+</option>
                                                    <option value="A-">A-</option>
                                                    <option value="B+">B+</option>
                                                    <option value="B-">B-</option>
                                                    <option value="O+">O+</option>
                                                    <option value="O-">O-</option>
                                                    <option value="AB+">AB+</option>
                                                    <option value="AB-">AB-</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="blood-select">Other Medical Details (if any)</label>
                                                <textarea class="form-control" name="medical_details" rows="4" cols="50" placeholder="Please provide additional medical information about the student..."></textarea>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="religion-select">Religion</label>
                                                <select name="religion" id="gender-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select student's religion</option>
                                                    <option value="Christianity">Christianity</option>
                                                    <option value="Islam">Islam</option>
                                                    <option value="Others">Others</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="address">Address</label>
                                                <input name="address"  type="text" class="form-control" id="address" placeholder="Enter student address ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="class-select">Class (Select an option that applies)</label>
                                                <select name="class" id="class-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select student's class</option>
                                                    <option value="playgroup">Playgroup</option>
                                                    <option value="kindergarten 1">Kindergarten 1 (KG 1)</option>
                                                    <option value="kindergarten 2">Kindergarten 2 (KG 2)</option>
                                                    <option value="nursery 1">Nursery 1</option>
                                                    <option value="nursery 2">Nursery 2</option>
                                                    <option value="nursery 3">Nursery 3</option>
                                                    <option value="primary 1">Primary 1</option>
                                                    <option value="primary 2">Primary 2</option>
                                                    <option value="primary 3">Primary 3</option>
                                                    <option value="primary 4">Primary 4</option>
                                                    <option value="primary 5">Primary 5</option>
                                                    <option value="primary 6">Primary 6</option>
                                                    <option value="jss 1">JSS 1</option>
                                                    <option value="jss 2">JSS 2</option>
                                                    <option value="jss 3">JSS 3</option>
                                                    <option value="sss 1">SSS 1</option>
                                                    <option value="sss 2">SSS 2</option>
                                                    <option value="sss 3">SSS 3</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                            <div class="alert alert-warning">Select subject options that applies to student's class</div>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject01-select">Subject 01</label>
                                                <select name="subject01" id="subject01-select" class="form-control custom-select" required data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject02-select">Subject 02</label>
                                                <select name="subject02" id="subject02-select" class="form-control custom-select" required data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject03-select">Subject 03</label>
                                                <select name="subject03" id="subject03-select" class="form-control custom-select" required data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject04-select">Subject 04</label>
                                                <select name="subject04" id="subject04-select" class="form-control custom-select" required data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject05-select">Subject 05</label>
                                                <select name="subject05" id="subject05-select" class="form-control custom-select" data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject06-select">Subject 06</label>
                                                <select name="subject06" id="subject06-select" class="form-control custom-select" data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject07 select">Subject 07</label>
                                                <select name="subject07" id="subject07-select" class="form-control custom-select" data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject08-select">Subject 08</label>
                                                <select name="subject08" id="subject08-select" class="form-control custom-select" data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject09-select">Subject 09</label>
                                                <select name="subject09" id="subject09-select" class="form-control custom-select" data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="subject10-select">Subject 10</label>
                                                <select name="subject10" id="subject10-select" class="form-control custom-select" data-toggle="select">
                                                    <option value = "" selected disabled>Select student's subject 1</option>
                                                    <option value="agricultural science">Agricultural Science</option>
                                                    <option value="arabic language">Arabic Language</option>
                                                    <option value="basic science">Basic Science</option>
                                                    <option value="basic technology">Basic Technology</option>
                                                    <option value="basic science and technology">Basic Science and Technology</option>
                                                    <option value="biology">Biology</option>
                                                    <option value="book keeping">Book Keeping</option>
                                                    <option value="business studies">Business Studies</option>
                                                    <option value="chemistry">Chemistry</option>
                                                    <option value="christian religion studies">Christian Religion Studies</option>
                                                    <option value="cultural and creative arts">Cultural And Creative Arts</option>
                                                    <option value="civic education">Civic Education</option>
                                                    <option value="commerce">Commerce</option>
                                                    <option value="computer studies">Computer Studies</option>
                                                    <option value="data processing">Data Processing</option>
                                                    <option value="economics">Economics</option>
                                                    <option value="english language">English Language</option>
                                                    <option value="financial account">Financial Account</option>
                                                    <option value="fine arts/creative art">Fine Arts/Creative Art</option>
                                                    <option value="food and nutrition">Food and Nutrition</option>
                                                    <option value="french">French</option>
                                                    <option value="further mathematics">Further Mathematics</option>
                                                    <option value="geography">Geography</option>
                                                    <option value="government">Government</option>
                                                    <option value="hausa language">Hausa Language</option>
                                                    <option value="health habits">Health Habits</option>
                                                    <option value="history">History</option>
                                                    <option value="home economics">Home Economics</option>
                                                    <option value="informaion technology">Information Technology</option>
                                                    <option value="igbo language">Igbo Language</option>
                                                    <option value="islamic studies">Islamic Studies</option>
                                                    <option value="letter work">Letter Work</option>
                                                    <option value="literature–in-english">Literature–in-English</option>
                                                    <option value="mathematics">Mathematics</option>
                                                    <option value="metal/wood work">Metal/Wood Work</option>
                                                    <option value="music">Music</option>
                                                    <option value="number work">Number Work</option>
                                                    <option value="office practice">Office Practice</option>
                                                    <option value="physical and health education">Physical and Health Education</option>
                                                    <option value="physics">Physics</option>
                                                    <option value="pre-vocational studies">Pre-Vocational Studies</option>
                                                    <option value="sensorial activities">Sensorial Activities</option>
                                                    <option value="social habits">Social Habit</option>
                                                    <option value="social studies">Social Studies</option>
                                                    <option value="songs and rhymes">Songs and Rhymes</option>
                                                    <option value="technical drawing">Technical Drawing</option>
                                                    <option value="typewriting">Typewriting</option>
                                                    <option value="yoruba language">Yoruba Language</option>
                                                </select>
                                            </div>
                                            </br></br>
                                            <div class="page-separator">
                                                <div class="page-separator__text">Add Parent Details</div>
                                            </div>
                                            
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="gender-select">Parent Title</label>
                                                <select name="p_title" id="title-select" class="form-control custom-select" required>
                                                    <option value = "" selected disabled>Select title</option>
                                                    <option value="Mr">Mr</option>
                                                    <option value="Mrs">Mrs</option>
                                                    <option value="Miss">Miss</option>
                                                    <option value="Dr">Dr</option>
                                                    <option value="Prof">Prof</option>
                                                    <option value="Chief">Chief</option>
                                                </select>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="firstname">Parent First Name</label>
                                                <input name="p_firstname"  type="text" class="form-control" id="firstname" placeholder="Enter parent first name ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="lastname">Parent Last Name</label>
                                                <input name="p_lastname"  type="text" class="form-control" id="lastname" placeholder="Enter parent last name ..." required>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="email">Parent Email</label>
                                                <input name="p_email"  type="email" class="form-control" id="email" placeholder="Enter parent email ...">
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="mobile">Parent Mobile</label>
                                                <input name="p_mobile"  type="text" class="form-control" id="mobile" placeholder="Enter parent phone no ...">
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="work">Parent Mobile 2 (Work/Office No)</label>
                                                <input name="p_work"  type="text" class="form-control" id="work" placeholder="Enter parent work no ...">
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="home">Parent Mobile 3 (Home No)</label>
                                                <input name="p_home"  type="text" class="form-control" id="home" placeholder="Enter parent home no ...">
                                            </div>
                                            
                                            <button name= "submit" type="submit" class="btn btn-primary btn-lg">Submit</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>
        
        <!-- Select2 -->
        <script src="public/vendor/select2/select2.min.js"></script>
        <script src="public/js/select2.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>
