<?php
session_start();
include 'config.php';
include 'sfunctions.php';
$school_info_menu = true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
//fetch school record from schools table
$school_id = $_SESSION['school_id'];
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_status = $row['school_status'];
    $school_category = $row['school_category'];
    $admission_info = $row['admission_info'];
    $school_about = $row['school_about'];
    $admission_status = $row['admission_status'];
}


    if (isset($_POST['submit'])){
    //collect data
    $admission_info = $_POST['admissioninfo'];
    $admission_status = $_POST['category'];
    $school_about = $_POST['schoolabout'];
    //update record
    $stmt=$conn->PREPARE("UPDATE `schools` SET `admission_info`= ?, `admission_status`=?, `school_about`= ? WHERE `school_id` = ?");
    $stmt->BIND_PARAM("ssss", $admission_info, $admission_status, $school_about, $school_id);
    if ($stmt->EXECUTE()){
        $message = "Records successfully updated for $school_name";
        notify($school_id, "Admission and About Records updated successfully for $school_name");
    }else{
        $message = "Something went wrong, Please try again later.";
    }

    
    echo "<meta http-equiv='refresh' content='3;url=https://mysmartschool.site/0/super/sauth/admission-info.php'>"; 
    
}
?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Setup Admission Info - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item">School Admin</li>
                                            <li class="breadcrumb-item active">Admission Info</li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="school-details.php"
                                           class="btn btn-outline-secondary">Update School Details</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                        
                        <div class="container page__container">
                            <div class="page-section">
                                <div class="col-lg-12 d-flex align-items-center">
                                    <div class="flex"
                                         style="max-width: 100%">
                                    
                                        <div class="alert alert-soft-warning mb-0 p-8pt">
                                            <div class="d-flex align-items-start">
                                                <div class="mr-8pt">
                                                    <i class="material-icons">error_outline</i>
                                                </div>
                                                <div class="flex">
                                                    <small class="text-100">Please provide the following details about your school.</small>
                                                </div>
                                            </div>
                                        </div>
                                        <br><br>
                                        
<?php 

if (isset($_POST['submit'])){
// echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}
?>
                                
                                    
                                    <!-- FORM START -->
                                    <form  action="" method="POST">
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="admission-info">Admission Information</label>
                                            <textarea required rows="6" cols="45" name="admissioninfo" id="message" class="form-control" maxlength="500" placeholder="Write a brief note on admission in your school giving necssary details (Not more than 500 Words)."><?php echo $admission_info; ?></textarea>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="admission-status">Select Current Admission Status</label>
                                            <select id="admission-status"
                                                    name="category"
                                                    class="form-control custom-select"
                                                    required="">
                                                <option value="" selected disabled>Select Status</option>
                                                <option value="Yes" <?php if ($admission_status=="Yes"){echo "selected";} ?>>Currently Ongoing</option>
                                                <option value="No" <?php if ($admission_status=="No"){echo "selected";} ?>>Admission Closed</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-about">About School</label>
                                            <textarea required rows="6" cols="45" name="schoolabout" id="message" class="form-control" maxlength="500" placeholder="Write a brief note about your school including key words pertaining to your school (Not more than 500 Words)."><?php echo $school_about; ?></textarea>
                                        </div>
                                            <button name="submit" class="btn btn-success">
                                                Update Details
                                            </button> 
                                    </form>
                                <br><br>
        
                                    </div>
                                </div>
                            </div>
                        </div>

                        

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>