<?php
session_start();
include 'config.php';
include 'sfunctions.php';
$password_menu = true;
$password_menu_student = true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
//block opening page if id isnt specified.
if (!isset($_GET['id'])){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/0/super/sauth/student-password.php'>";
    exit();
}
if ($_GET['id']==""){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/0/super/sauth/student-password.php'>";
    exit();
}

//fetch school record from schools table
$school_id = $_SESSION['school_id'];

$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}
$stmt->close();

//get student id from $_GET
$student_id = htmlspecialchars($_GET["id"]);

//fetch students records from students table
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = ucwords($row['firstname']);
    $lastname = ucwords($row['lastname']);
    $middlename = ucwords($row['middlename']);
    $gender = $row['gender'];
    $dob = $row['dob'];
    $blood_group = $row['blood_group'];
    $religion = $row['religion'];
    $address = $row['address'];
    $class = $row['class'];
}
$stmt->close();


?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Change student password - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/flatpickr-airbnb.css"
              rel="stylesheet">
        <link type="text/css" href="public/css/toastr.css" rel="stylesheet">
        
        <link type="text/css" href="public/css/toastr.css" rel="stylesheet">
        <link type="text/css" href="public/vendor/toastr.min.css" rel="stylesheet">

    </head>
    
    <style>
        .field-icon {
        float: right;
        margin-right: 8px;
        margin-top: -23px;
        position: relative;
        z-index: 2;
        cursor:pointer;
        }
        
        .container{
        padding-top:50px;
        margin: auto;
        }
    </style>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item"><a href="index.php">School Admin</a></li>
                                            <li class="breadcrumb-item active"><a href="change-password.php">Change Password</a></li>
                                            <li class="breadcrumb-item active">Change Student Password</li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-student.php"
                                           class="btn btn-outline-secondary">Add Student</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                        
                        <!-- Page Content -->
                        <div class="container-fluid page__container page-section">
                        
                        <div class="container page__container page-section">
                            <div class="row mb-32pt">
                                
                                <div class="col-lg-4">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Student Details</div>
                                    </div>
                                    <div class="alert alert-soft-primary mb-2" role="alert">
                                            <div class="d-flex flex-wrap align-items-start">
                                                <div class="mr-8pt">
                                                    <i class="material-icons">autorenew</i>
                                                </div>
                                                <div class="flex" style="min-width: 180px">
                                                    <small class="text-black-100">
                                                        Change password - Student Details.<br><br>
                                                        Student Name: <?php echo $firstname.", <strong>".$lastname; ?></strong><br>
                                                        Student ID: <?php echo $student_id;?> <br>
                                                        Class: <?php echo strtoupper($class) ?> <br>
                                                        <br>
                                                        <form method="post" action="" class="mb-3">
                                                            <input name="restore" type="submit" class="btn btn-primary" value="Restore to default">
                                                        </form>
<?php
if (isset($_POST['restore'])){
    //reset password to default
    $password = "$firstname.$lastname";
    $password = PASSWORD_HASH($password, PASSWORD_DEFAULT);
    $stmt = $conn->PREPARE("UPDATE `students` SET `password` = ? WHERE `student_id` = ?");
    $stmt->BIND_PARAM("ss", $password, $student_id);
    if ($stmt->EXECUTE()){
        $message1 = "Password restore successful";
        notify($school_id, "Password reset successful for $lastname, $firstname ($student_id - $school_name).");
    }else{
        $message1="something is wrong, try again later";
    }
    // echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message1){echo $message1 ;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
    $stmt->close();
    
}
?>
                                                    </small>
                                                </div>
                                            </div>
                                        </div>
                                </div>
                                
                                <div class="col-lg-8 mb-3">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Change Password</div>
                                    </div>
                                    <div class="flex" style="max-width: 100%">
                                        <form method="post" action="" id="form2">
                                            <div class="form-group">
                                                <label class="form-label" for="password1">Enter Password</label>
                                                <input name="password1"  type="password" class="form-control" id="password1" placeholder="Enter Password" required form="form2">
                                                <span toggle="#password1" class="fa fa-sm fa-eye field-icon toggle-password"></span>
                                            </div>
                                            
                                            <div class="form-group">
                                                <label class="form-label" for="password2">Re-enter Password</label>
                                                <input name="password2"  type="password" class="form-control" id="password2" placeholder="Re-enter password..."  required form="form2">
                                                <span toggle="#password2" class="fa fa-sm fa-eye field-icon toggle-password"></span>
                                            </div>
                                            
                                            <button name= "submit" type="submit" class="btn btn-primary" form="form2">Change Password</button>
                                            
                                        </form>
                                        <br>
<?php 
if (isset($_POST['submit'])){
    $password1 = $_POST['password1'];
    $password2 = $_POST['password2'];
    if ($password1==$password2){
        //update password for student
        $password = PASSWORD_HASH($password1, PASSWORD_DEFAULT);
        $stmt = $conn->PREPARE("UPDATE `students` SET `password` = ? WHERE `student_id` = ?");
        $stmt->BIND_PARAM("ss", $password, $student_id);
        if ($stmt->EXECUTE()){
            $message = "Password changed successful";
            notify($school_id, "Password change successful for $lastname, $firstname ($student_id - $school_name).");
        }
    }elseif($password1!=$password2){
        $message = "Passwords does not match";
    }else{
        $message="something is wrong, try again later";
        }
    
    
    // echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message ;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";

}
?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                        </div>
                        
                        



                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>
        <script>
            $(".toggle-password").click(function() {
               $(this).toggleClass("fa-eye fa-eye-slash");
               var input = $($(this).attr("toggle"));
               if (input.attr("type") == "password") {
                 input.attr("type", "text");
               } else {
                 input.attr("type", "password");
               }
            });
        </script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>
        
        <script src="public/vendor/toastr.min.js"></script>
        <script src="public/js/toastr.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>