<?php
//fetch school record from schools table
$school_id = $_SESSION['school_id'];
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name_url = $row['school_name'];
    $school_name_url = strtolower($school_name_url);
    $school_url = str_replace(" ","-",$school_name_url);
}

//fetch statistics for cards
$stat01 = card01_stat();
$stat02 = card02_stat();

$t_stat = teacher_stat();
$p_stat = parentStat($school_id);

if ($school_category=='Secondary'){
    $stat03 = card03_stat();
}


//fetch unread mails
$stmt = $conn->PREPARE("SELECT * FROM `mails` WHERE `receiver_id` = ? AND `status`= 0");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$unread = mysqli_num_rows($result);
$stmt->close();

?>


<!-- Header -->

            <div id="header"
                 class="mdk-header js-mdk-header mb-0"
                 data-fixed>
                <div class="mdk-header__content">

                    <!-- Navbar -->

                    <div class="navbar navbar-expand pr-0 navbar-light bg-white navbar-shadow"
                         id="default-navbar"
                         data-primary>

                        <!-- Navbar Toggler -->

                        <button class="navbar-toggler w-auto mr-16pt d-block d-lg-none rounded-0"
                                type="button"
                                data-toggle="sidebar">
                            <span class="material-icons">short_text</span>
                        </button>

                        <!-- // END Navbar Toggler -->

                        <!-- Navbar Brand -->

                        <a href="index.php"
                           class="navbar-brand mr-16pt">

                            <span class="avatar avatar-sm navbar-brand-icon mr-0 mr-lg-8pt">

                                <span class="avatar-title rounded bg-primary"><img src="public/images/illustration/student/128/white.svg"
                                         alt="logo"
                                         class="img-fluid" /></span>

                            </span>

                            <span class="d-none d-lg-block">SmartSchool</span>
                        </a>

                        <!-- // END Navbar Brand -->

                        <span class="d-none d-md-flex align-items-center mr-16pt">

                            <span class="avatar avatar-sm mr-12pt">

                                <span class="avatar-title rounded navbar-avatar"><i class="material-icons">trending_up</i></span>

                            </span>

                            <small class="flex d-flex flex-column">
                                <strong class="navbar-text-100">Total Students</strong>
                                <span class="navbar-text-50"><?php echo $stat01[0]+$stat01[1]; ?></span>
                            </small>
                        </span>
                        <span class="d-none d-md-flex align-items-center mr-16pt">

                            <span class="avatar avatar-sm mr-12pt">

                                <span class="avatar-title rounded navbar-avatar"><i class="material-icons">receipt</i></span>

                            </span>

                            <small class="flex d-flex flex-column">
                                <strong class="navbar-text-100">Total Teachers</strong>
                                <span class="navbar-text-50"><?php echo $t_stat[0]+$t_stat[1]; ?></span>
                            </small>
                        </span>
                        <span class="d-none d-md-flex align-items-center mr-16pt">

                            <span class="avatar avatar-sm mr-12pt">

                                <span class="avatar-title rounded navbar-avatar"><i class="material-icons">supervised_user_circle</i></span>

                            </span>

                            <small class="flex d-flex flex-column">
                                <strong class="navbar-text-100">Total Parents</strong>
                                <span class="navbar-text-50"><?php echo $p_stat; ?></span>
                            </small>
                        </span>

                        <div class="flex"></div>

                        <!-- Navbar Menu -->

                        <div class="nav navbar-nav flex-nowrap d-flex mr-16pt">
                            
                            <!-- Visit site dropdown -->
                            <div class="nav-item dropdown dropdown-notifications dropdown-xs-down-full"
                                 <li class="nav-item">
                                        <a href="https://mysmartschool.site/<?php echo $school_url; ?>/"
                                           class="nav-link"
                                           data-toggle="tooltip"
                                           data-title="Visit School"
                                           data-placement="bottom"
                                           data-boundary="window"
                                           target="_blank"><i class="material-icons">language</i></a>
                                    </li>
                            </div>
                            <!-- // END visit site dropdown -->

                            <!-- Notifications dropdown -->
                            <div class="nav-item dropdown dropdown-notifications dropdown-xs-down-full"
                             data-toggle="tooltip"
                             data-title="Mails"
                             data-placement="bottom"
                             data-boundary="window">
                            <a href="mail-list.php"><i class="material-icons icon-24pt">mail_outline</i></a>
                             &nbsp;&nbsp; <?php if ($unread!=0){ echo "<span class='badge badge-notifications badge-accent'>$unread</span>";} ?>
                        </div>
                            <!-- // END Notifications dropdown -->

                            <!-- Notifications dropdown -->
                            <div class="nav-item ml-16pt dropdown dropdown-notifications dropdown-xs-down-full"
                                 data-toggle="tooltip"
                                 data-title="Notifications"
                                 data-placement="bottom"
                                 data-boundary="window">
                                <button class="nav-link btn-flush dropdown-toggle"
                                        type="button"
                                        data-toggle="dropdown"
                                        data-caret="false">
                                    <i class="material-icons">notifications_none</i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <div data-perfect-scrollbar
                                         class="position-relative">
                                        <div class="dropdown-header"><strong>System notifications</strong></div>
                                        <div class="list-group list-group-flush mb-0">
<?php
$stmt = $conn->PREPARE("SELECT * FROM `notifications` WHERE `school_id` = ? ORDER BY `date_created` DESC LIMIT 4");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $event = $row['events'];
    $date = $row['date_created'];
        
?>
                                            
                                            <a href="javascript:void(0);"
                                               class="list-group-item list-group-item-action unread">
                                                <span class="d-flex align-items-center mb-1">
                                                    <small class="text-black-50"><?php echo $date; ?></small>
                                                </span>
                                                <span class="d-flex">
                                                    <span class="flex d-flex flex-column">
                                                        <span class="text-black-70"><?php echo $event; ?></span>
                                                    </span>
                                                </span>
                                            </a>
<?php 
    }
?>   
                                        <a href="notifications.php" class="btn btn-sm btn-outline-secondary">View all</a>

                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- // END Notifications dropdown -->

                            <div class="nav-item dropdown">
                                <a href="#"
                                   class="nav-link d-flex align-items-center dropdown-toggle"
                                   data-toggle="dropdown"
                                   data-caret="false">

                                    <span class="avatar avatar-sm mr-8pt2">

                                        <span class="avatar-title rounded-circle bg-primary"><i class="material-icons">account_box</i></span>

                                    </span>

                                </a>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <div class="dropdown-header"><strong>Account</strong></div>
                                    <a class="dropdown-item"
                                        href="account.php"><small>School Admin</small></a>
                                    <a class="dropdown-item"
                                       href="login/logout.php">Logout</a>
                                </div>
                            </div>
                        </div>

                        <!-- // END Navbar Menu -->

                    </div>

                    <!-- // END Navbar -->

                </div>
            </div>

            <!-- // END Header -->
            
            
            
            