<?php
session_start();
include 'config.php';
include 'sfunctions.php';

$dashboard_menu = true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}

$school_id = $_SESSION['school_id'];

//check if school is active
$stmt = $conn->PREPARE("SELECT `school_status` FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $get_school_status = $row['school_status'];
    if ($get_school_status==0){
        echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/0/super/sauth/inactive.php'>";
    }
}

//fetch school record from schools table
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Welcome to School Admin</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item active">
                                                School Admin
                                            </li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-student.php"
                                           class="btn btn-outline-secondary">Add Student</a>
                                        <a href="add-teacher.php"
                                           class="btn btn-outline-secondary">Add Teacher</a>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="container page__container">
                            <div class="page-section">

                                <div class="row mb-lg-8pt">
                                    <div class="col-lg-8">

                                        <div class="page-separator">
                                            <div class="page-separator__text">Overview</div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-6">

                                                <div class="card ">
                                                    <div class="card-header pb-0 border-0 d-flex">
                                                        <div class="flex">
                                                            <div class="h2 mb-0"><?php echo $stat01[0]+$stat01[1]; ?></div>
                                                            <p class="card-title">Students</p>
                                                        </div>
                                                        <i class="material-icons text-50">school</i>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="text-50 mb-16pt">
        
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Male</small>
                                                                    <small class="lh-24pt"><?php echo $stat01[0]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-primary"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $stat01[0]/($stat01[0]+$stat01[1])*100; ?>%;"
                                                                         aria-valuenow="99"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
                                                            
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Female</small>
                                                                    <small class="lh-24pt"><?php echo $stat01[1]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-primary"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $stat01[1]/($stat01[0]+$stat01[1])*100; ?>%;"
                                                                         aria-valuenow="16"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
                                                            
                                                            <hr>
                                                            
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Active</small>
                                                                    <small class="lh-24pt"><?php echo $stat02[0]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-primary"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $stat02[0]/($stat02[0]+$stat02[1])*100; ?>%;"
                                                                         aria-valuenow="99"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
        
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Inactive</small>
                                                                    <small class="lh-24pt"><?php echo $stat02[1]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-warning"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $stat02[1]/($stat02[0]+$stat02[1])*100; ?>%;"
                                                                         aria-valuenow="16"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
                                                            
        
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="col-md-6">

                                                <div class="card ">
                                                    <div class="card-header pb-0 border-0 d-flex">
                                                        <div class="flex">
                                                            <div class="h2 mb-0"><?php echo $t_stat[0]+$t_stat[1]; ?></div>
                                                            <p class="card-title">Teachers</p>
                                                        </div>
                                                        <i class="material-icons text-50">perm_identity</i>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="text-50 mb-16pt">
        
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Male</small>
                                                                    <small class="lh-24pt"><?php echo $t_stat[0]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-primary"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $t_stat[0]/($t_stat[0]+$t_stat[1])*100; ?>%;"
                                                                         aria-valuenow="99"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
        
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Female</small>
                                                                    <small class="lh-24pt"><?php echo $t_stat[1]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-warning"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $t_stat[1]/($t_stat[0]+$t_stat[1])*100; ?>%;"
                                                                         aria-valuenow="16"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Active</small>
                                                                    <small class="lh-24pt"><?php echo $t_stat[2]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-primary"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $t_stat[2]/($t_stat[2]+$t_stat[3])*100; ?>%;"
                                                                         aria-valuenow="99"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
        
                                                            <div class="mb-4pt">
                                                                <p class="d-flex align-items-center mb-0">
                                                                    <small class="flex lh-24pt">Inactive</small>
                                                                    <small class="lh-24pt"><?php echo $t_stat[3]; ?></small>
                                                                </p>
                                                                <div class="progress"
                                                                     style="height: 4px;">
                                                                    <div class="progress-bar bg-warning"
                                                                         role="progressbar"
                                                                         style="width: <?php echo $t_stat[3]/($t_stat[2]+$t_stat[3])*100; ?>%;"
                                                                         aria-valuenow="16"
                                                                         aria-valuemin="0"
                                                                         aria-valuemax="100"></div>
                                                                </div>
                                                            </div>
        
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                        
                                        <div class="row">
                                            
                                            
                                            <div class="col-md-6">

                                                <div class="card ">
                                                    <div class="card-header pb-0 border-0 d-flex">
                                                        <div class="flex">
                                                            <div class="h2 mb-0">Parents</div>
                                                            <p class="h1 card-title">Total No of Parents registered with us</p>
                                                        </div>
                                                        <i class="material-icons text-50">supervisor_account</i>
                                                    </div>
                                                    <div class="card-body">
                                                        <div class="text-50 mb-16pt">
                                                            <div class="h1 mb-0"><?php echo parentStat($school_id);?></div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>

                                    </div>
                                    
                                    
                                    
                                    
                                    <div class="col-lg-4">

                                        <div class="page-separator">
                                            <div class="page-separator__text">Notifications</div>
                                        </div>
                                        <div class="card">
                                    <div class="card-header">
                                        <div class="d-flex align-items-center">
                                            <div class="flex">
                                                <strong class="card-title">Recent Events    <span class="badge badge-primary"><a href="notifications.php">View All</a></span></strong>
                                            </div>
                                        </div>
                                    </div>
<?php
$stmt = $conn->PREPARE("SELECT * FROM `notifications` WHERE `school_id` = ? ORDER BY `date_created` DESC LIMIT 4");
    $stmt->BIND_PARAM("s", $school_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $event = $row['events'];
        $date = $row['date_created'];
        $date = date_parse($date);
        $year = $date['year'];
        $month = $date['month'];
        $month = strftime('%B', mktime(0, 0, 0, $month));
        $day = $date['day'];
?>
                                    <div class="list-group list-group-flush">
                                        <div class="list-group-item d-flex align-items-start p-16pt">
                                            <div class="d-flex flex-column mr-16pt">
                                                <strong><?php echo $day; ?></strong>
                                                <small class="text-50"><?php echo $month; ?></small>
                                                <small class="text-uppercase text-20 border-bottom-2 border-bottom-accent"><?php echo $year; ?></small>
                                            </div>
                                            <div class="flex">
                                                <p class="mb-0 text-50"><?php echo $event; ?></p>
                                            </div>
                                        </div>
                                    </div>
<?php } ?>
                                </div>

                                    </div>
                                </div>

                                <div class="page-separator">
                                    <div class="page-separator__text">Recently added Students</div>
                                </div>

                                <div class="card mb-0">
                                    <div class="card table-responsive">
                                <table class="table table-flush table-nowrap">
                                    <thead>
                                        <tr>
                                            <th>SN</th>
                                            <th>Name</th>
                                            <th>class</th>
                                            <th>student ID</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
<?php
//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

//select all records to set pagination variable.
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 4;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();

//select all records from admins table
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `school_id` = ? ORDER BY `date_created` DESC LIMIT ?,? ");
$stmt->BIND_PARAM("sss",$school_id,$this_page_first_result,$per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$sn = $this_page_first_result + 1;
while($row = $result->FETCH_ASSOC()){
?>
                                        <tr>
                                            <td><?php echo $sn; ?></td>
                                            <td><?php echo strtoupper($row['lastname']).", ".$row['firstname']." ".$row['middlename']; ?></td>
                                            <td><?php echo strtoupper($row['class']); ?></td>
                                            <td><?php echo $row['student_id']; ?></td>
                                            <td><?php if ($row['status']==1){echo "<a class='btn btn-success'>Active</a>";}else if($row['status']==0){echo "<a class='btn btn-warning'>Inactive</a>";} ?></td>
                                        </tr>
<?php
$sn++;
    }
?>
                                        
                                    </tbody>
                                </table>
                            </div>
                            <div class="card-footer p-8pt">

                            <ul class="pagination justify-content-start pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Prev</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span><?php echo $page; ?></span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                        <span>Next</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link">
                                        <span>(Page <?php echo $page; ?> OF <?php echo $number_of_pages; ?>)</span>
                                    </a>
                                </li>
                            </ul>
                            </div>

                                </div>

                            </div>
                        </div>

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>