<?php
session_start();
include 'config.php';
include 'sfunctions.php';

$notification_menu=true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
$school_id = $_SESSION['school_id'];

//get next student id from school id
function student_id($school_id){
    include 'config.php';
    $stmt = $conn->PREPARE("SELECT `student_id` FROM `students` WHERE `school_id` = ?");
    $stmt->BIND_PARAM("s", $school_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    if (mysqli_num_rows($result)==0){
        $student_id_pre = 1001;
    }else{
        while($row=$result->fetch_assoc()){
            $student_idt1 = $row['student_id'];
            $student_idt =substr($student_idt1,-4); 
        }
        $student_id_pre = $student_idt + 1;
    }
    $student_id = "S".$school_id."/S/".$student_id_pre;
    return $student_id;
}

//fetch school record from schools table
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}

//check submit and send details to `students` table
if (isset($_POST['submit'])){
    //prepare data
    $firstname = strtolower($_POST['firstname']);
    $lastname = strtolower($_POST['lastname']);
    $middlename = strtolower($_POST['middlename']);
    $gender = strtolower($_POST['gender']);
    $dob = $_POST['dob'];
    $blood_group = $_POST['blood_group'];
    $religion = strtolower($_POST['religion']);
    $address = strtolower($_POST['address']);
    $class = strtolower($_POST['class']);
    $subject01 = $_POST['subject01'];
    $subject02 = $_POST['subject02'];
    $subject03 = $_POST['subject03'];
    $subject04 = $_POST['subject04'];
    $subject05 = $_POST['subject05'];
    $subject06 = $_POST['subject06'];
    $subject07 = $_POST['subject07'];
    $subject08 = $_POST['subject08'];
    $subject09 = $_POST['subject09'];
    $subject10 = $_POST['subject10'];
    
    //get student id
    $student_id = student_id($school_id);
    $password = $firstname.".".$lastname;
    $password_hash = PASSWORD_HASH($password, PASSWORD_DEFAULT);
    
    //insert records
    $stmt = $conn->PREPARE("INSERT INTO `students`(`firstname`, `lastname`, `middlename`, `gender`, `dob`, `blood_group`, `religion`, `address`, `school_id`, `student_id`, `password`, `class`, `subject01`, `subject02`, `subject03`, `subject04`, `subject05`, `subject06`, `subject07`, `subject08`, `subject09`, `subject10`) 
                            VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
    $stmt->BIND_PARAM("ssssssssssssssssssssss",$firstname,$lastname,$middlename,$gender,$dob,$blood_group,$religion,$address,$school_id,$student_id,$password_hash,$class,$subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10);
    if ($stmt->EXECUTE()){
        $message.= "Student addedd successfully";
        $message.="<br> Student_id is:".$student_id;
        $message.="<br> Student password is ".$firstname.".".$lastname;
    }
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Notifications - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="public/css/flatpickr-airbnb.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item active">
                                                Notifications
                                            </li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="#"
                                           class="btn btn-outline-secondary">Students</a>
                                        <a href="#"
                                           class="btn btn-outline-secondary">Teachers</a>
                                        <a href="#"
                                           class="btn btn-outline-secondary">Parents</a>
                                    </div>
                                </div>

                            </div>
                        </div>

                         <!-- Page Content -->

                <div class="container-fluid page__container">
                    <div class="page-section">

                        <div class="page-separator">
                            <div class="page-separator__text">Notifications</div>
                        </div>

                        <div class="card mb-0">
                            <div class="card table-responsive">
                                <table class="table table-flush table-nowrap">
                                    <thead>
                                        <tr>
                                            <th>SN</th>
                                            <th>Events</th>
                                            <th>Time</th>
                                            
                                        </tr>
                                    </thead>
                                    
                                    <tbody>
<?php
//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

//select all records to set pagination variable.
$stmt = $conn->PREPARE("SELECT * FROM `notifications` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 10;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();

$stmt = $conn->PREPARE("SELECT * FROM `notifications` WHERE `school_id` = ? ORDER BY `date_created` DESC LIMIT ?,?");
$stmt->BIND_PARAM("sss", $school_id, $this_page_first_result,$per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$sn=$this_page_first_result+1;
while ($row = $result->fetch_assoc()){
?>
                                        <tr>
                                            <td><?php echo $sn; ?></td>
                                            <td><?php echo $row['events']?></td>
                                            <td><?php echo $row['date_created']; ?></td>
                                        </tr>

<?php
$sn++;
}
?>                                        
                                    </tbody>
                                </table>
                            </div>

                            <div class="card-footer p-8pt">

                            <ul class="pagination justify-content-start pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="?&page=1" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Prev</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span>1</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="?&page=2" aria-label="Next">
                                        <span>Next</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="?&page=5" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                                <li class="page-item"><a class="page-link"><span class="alert-soft-primary">(page <?php echo $page; ?> of <?php echo $number_of_pages; ?>)</span></a></li>
                            </ul>
                        </div>

                        </div>

                    </div>
                </div>
            
                <!-- // END Page Content -->

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>