<?php
session_start();
include 'config.php';
include 'sfunctions.php';
$community_menu = true;
$browse_parent_active = true;


if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
//fetch school record from schools table
$school_id = $_SESSION['school_id'];

$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}
$stmt->close();

$query = trim($_GET['query']);
?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Search Parents - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item">School Admin</li>
                                            <li class="breadcrumb-item active"><a href = "view-students.php">View Parents</a></li>
                                            <li class="breadcrumb-item active">Parent Search</li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-student.php"
                                           class="btn btn-outline-secondary">Add Student</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <!-- Page Content -->

                <div class="container-fluid page__container page-section">

                    <div class="row mb-32pt">
                        <div class="col-lg-4">
                            <div class="page-separator">
                                <div class="page-separator__text">Parent Search</div>
                            </div>
                        </div>
                        <div class="col-lg-12 d-flex align-items-center">
                            <div class="flex" style="max-width: 100%">
                                 <div class="card mb-lg-32pt">
                        <div class="col-lg mt-3">
                            <form method="get" action="" id="searchform">
                                <div class="search-form search-form--dark">
                                    <input name="query" type="text" class="form-control" placeholder="Enter Student ID S123456/S/1234 or Parent Names" id="search" value ="<?php echo $query; ?>" form="searchform"> 
                                    <button class="btn" type="submit"><i class="material-icons" form="searchform">search</i></button>
                                </div>
                            </form>
                        </div>
                        <div class="table-responsive" data-toggle="lists">

                            <table class="table mb-0 thead-border-top-0 table-nowrap">
                                <thead>
                                    <tr>
                                        <th>
                                            <a>SN</a>
                                        </th>
                                        <th>
                                            <a>Student ID</a>
                                        </th>
                                        <th style="max-width=10px;">
                                            <a>Parent Name</a>
                                        </th>
                                        <th>
                                            <a>Parent Email</a>
                                        </th>
                                        <th>
                                            <a>Mobile</a>
                                        </th>
                                        <th>
                                            <a>Work/Home</a>
                                        </th>
                                        <th>
                                            <a>Action</a>
                                        </th>
                                    </tr>
                                </thead>
<?php
if ($query==""){
    echo "<div class='col-lg-12 alert alert-primary mt-3'><div class='flex' style='min-width: 180px'><small class='text-black-100'>";
    echo "Enter Search Query</small></div></div>";
}else{
    //select records from student table
    $sql = getExplodeStatement4($query, $school_id);
    $stmt = $conn->PREPARE($sql[0]);
    $stmt->BIND_PARAM($sql[1], ...$sql[2]);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    if (mysqli_num_rows($result)==0){
        echo "<div class='col-lg-12 alert alert-warning mt-3'><div class='flex' style='min-width: 180px'><small class='text-black-100'>";
        echo "No Records found for $query</small></div></div>"; 
    }else{
        while ($row=$result->fetch_assoc()){
?>
                                <tbody class="list" id="clients">
                                    <tr>
                                        <td>
                                            <small class="text-50"><?php echo "1"; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['student_id']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo "<strong>".strtoupper($row['lastname'])."</strong>, ".$row['firstname']; ?></small>
                                        </td>
                                        <td>
                                            <small class="text-50"><?php echo strtolower($row['email']); ?></small>
                                        </td>

                                        <td>
                                            <small class="text-50"><?php echo strtoupper($row['mobile']); ?></small>
                                        </td>

                                        <td>
                                            <small class="text-50"><?php echo $row['work']." <br> ".$row['home']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <a href="edit-parent.php?id=<?php echo $row['student_id'] ?>" class="btn btn-warning">Edit Records</a>
                                        </td>
                                    </tr>
                                </tbody>
<?php 
        }
    }
}
?>
                            </table>
                        </div>

                    </div>    
                            </div>
                        </div>
                    </div>
                    
                </div>
                        
                        



                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>