<?php
session_start();
include 'config.php';
include 'sfunctions.php';
$school_info_menu = true;

if(!isset($_SESSION['school_in'])){
    echo "Please Login";
    echo "<meta http-equiv='refresh' content='2;url=https://mysmartschool.site/0/super/sauth/login/'>";
    exit();
}
//fetch school record from schools table
$school_id = $_SESSION['school_id'];
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $school_name = $row['school_name'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
}



if (isset($_POST['submit'])){
    //collect data
    $school_category = ucwords($_POST['category']);
    $school_location = ucwords($_POST['location']);
    $school_address = ucwords($_POST['address']);
    //update record
    $stmt=$conn->PREPARE("UPDATE `schools` SET `school_category`= ?, `school_location`=?, `school_address`= ? WHERE `school_id` = ?");
    $stmt->BIND_PARAM("ssss", $school_category, $school_location, $school_address, $school_id);
    if ($stmt->EXECUTE()){
        $message = "Records successfully updated for $school_name";
        notify($school_id, "Records updated successfully for $school_name");
    }else{
        $message = "Something went wrong, Please try again later.";
    }
    
    
    echo "<meta http-equiv='refresh' content='3;url=https://mysmartschool.site/0/super/sauth/school-details.php'>"; 

}
?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>School Details - School Admin Portal</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky layout-sticky-subnav ">

        <!-- Header Layout -->
        <div class="mdk-header-layout js-mdk-header-layout">

            <?php
            include("include/top-nav-bar.php");
                
            ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content">

                <!-- Drawer Layout -->
                <div class="mdk-drawer-layout js-mdk-drawer-layout"
                     data-push
                     data-responsive-width="992px">

                    <!-- Drawer Layout Content -->
                    <div class="mdk-drawer-layout__content page-content">

                        <div class="pt-32pt">
                            <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                                <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                                    <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                        <h2 class="mb-0">Welcome School Admin</h2>
                                        <h3 class="mb-0"><?php echo $school_name; ?></h3>
                                        <?php 
                                        if ($school_status==1){
                                            echo "<h5> School ID: $school_id <span class='badge badge-success'>Active</span></h5>";
                                        }else{
                                            echo "<h5> School ID: $school_id <span class='badge badge-warning'>Inactive</span></h5>";
                                        }
                                        ?>
                                        <br><br>
                                        <ol class="breadcrumb p-0 m-0">
                                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                            <li class="breadcrumb-item">School Admin</li>
                                            <li class="breadcrumb-item active">School Setup</li>
                                        </ol>

                                    </div>
                                </div>

                                <div class="row"
                                     role="tablist">
                                    <div class="col-auto">
                                        <a href="add-student.php"
                                           class="btn btn-outline-secondary">Add Student</a>
                                    </div>
                                </div>

                            </div>
                        </div>

                        <div class="container page__container">
                            <div class="page-section">
                                <div class="col-lg-12 d-flex align-items-center">
                                    <div class="flex"
                                         style="max-width: 100%">
                                    
                                        <div class="alert alert-soft-warning mb-0 p-8pt">
                                            <div class="d-flex align-items-start">
                                                <div class="mr-8pt">
                                                    <i class="material-icons">error_outline</i>
                                                </div>
                                                <div class="flex">
                                                    <small class="text-100">Please check to update the following details about your school.</small>
                                                </div>
                                            </div>
                                        </div>
                                        <br><br>
                                    
<?php 
if (isset($_POST['submit'])){
// echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}
?>
                                    
                                    <!-- FORM START -->
                                    <form  action="" method="POST">
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-name">School Name</label>
                                            <input type="text"
                                                   name="name"
                                                   class="form-control"
                                                   id="schoolname"
                                                   value = "<?php echo $school_name; ?>";
                                                   placeholder="Enter school name in full"
                                                   required="" 
                                                   disabled>
                                            <span><em>You cannot edit the school name</em></span>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-category">Select School Category</label>
                                            <select id="school-category"
                                                    name="category"
                                                    class="form-control custom-select"
                                                    required="">
                                                <option value="" selected disabled>Choose category</option>
                                                <option value="Secondary" <?php if ($school_category=="Secondary"){echo "selected";} ?>>Secondary Category</option>
                                                <option value="Primary" <?php if ($school_category=="Primary"){echo "selected";} ?>>Primary Category</option>
                                                <option value="Creche" <?php if ($school_category=="Creche"){echo "selected";} ?>>Creche Category</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-location">Select School Location</label>
                                            <select id="school-location"
                                                    name="location"
                                                    class="form-control custom-select"
                                                    required="">
                                                <option selected value="" disabled>Choose State</option>
                                                <option value="Abuja" <?php if ($school_location=="Abuja"){echo "selected";} ?>>Abuja</option>
                                                <option value="Abia" <?php if ($school_location=="Abia"){echo "selected";} ?>>Abia</option>
                                                <option value="Adamawa" <?php if ($school_location=="Adamawa"){echo "selected";} ?>>Adamawa</option>
                                                <option value="Akwa Ibom" <?php if ($school_location=="Akwa Ibom"){echo "selected";} ?>>Akwa Ibom</option>
                                                <option value="Anambra" <?php if ($school_location=="Anambra"){echo "selected";} ?>>Anambra</option>
                                                <option value="Bauchi" <?php if ($school_location=="Bauchi"){echo "selected";} ?>>Bauchi</option>
                                                <option value="Bayelsa" <?php if ($school_location=="Bayelsa"){echo "selected";} ?>>Bayelsa</option>
                                                <option value="Benue" <?php if ($school_location=="Benue"){echo "selected";} ?>>Benue</option>
                                                <option value="Borno" <?php if ($school_location=="Borno"){echo "selected";} ?>>Borno</option>
                                                <option value="Cross River" <?php if ($school_location=="Cross River"){echo "selected";} ?>>Cross River</option>
                                                <option value="Delta" <?php if ($school_location=="Delta"){echo "selected";} ?>>Delta</option>
                                                <option value="Ebonyi" <?php if ($school_location=="Ebonyi"){echo "selected";} ?>>Ebonyi</option>
                                                <option value="Edo" <?php if ($school_location=="Edo"){echo "selected";} ?>>Edo</option>
                                                <option value="Ekiti" <?php if ($school_location=="Ekiti"){echo "selected";} ?>>Ekiti</option>
                                                <option value="Enugu" <?php if ($school_location=="Enugu"){echo "selected";} ?>>Enugu</option>
                                                <option value="Gombe" <?php if ($school_location=="Gombe"){echo "selected";} ?>>Gombe</option>
                                                <option value="Imo" <?php if ($school_location=="Imo"){echo "selected";} ?>>Imo</option>
                                                <option value="Jigawa" <?php if ($school_location=="Jigawa"){echo "selected";} ?>>Jigawa</option>
                                                <option value="Kaduna" <?php if ($school_location=="Kaduna"){echo "selected";} ?>>Kaduna</option>
                                                <option value="Kano" <?php if ($school_location=="Kano"){echo "selected";} ?>>Kano</option>
                                                <option value="Katsina" <?php if ($school_location=="Katsina"){echo "selected";} ?>>Katsina</option>
                                                <option value="Kebbi" <?php if ($school_location=="Kebbi"){echo "selected";} ?>>Kebbi</option>
                                                <option value="Kogi" <?php if ($school_location=="Kogi"){echo "selected";} ?>>Kogi</option>
                                                <option value="Kwara" <?php if ($school_location=="Kwara"){echo "selected";} ?>>Kwara</option>
                                                <option value="Lagos" <?php if ($school_location=="Lagos"){echo "selected";} ?>>Lagos</option>
                                                <option value="Nassarawa" <?php if ($school_location=="Nassarawa"){echo "selected";} ?>>Nassarawa</option>
                                                <option value="Niger" <?php if ($school_location=="Niger"){echo "selected";} ?>>Niger</option>
                                                <option value="Ogun" <?php if ($school_location=="Ogun"){echo "selected";} ?>>Ogun</option>
                                                <option value="Ondo" <?php if ($school_location=="Ondo"){echo "selected";} ?>>Ondo</option>
                                                <option value="Osun" <?php if ($school_location=="Osun"){echo "selected";} ?>>Osun</option>
                                                <option value="Oyo" <?php if ($school_location=="Oyo"){echo "selected";} ?>>Oyo</option>
                                                <option value="Plateau" <?php if ($school_location=="Plateau"){echo "selected";} ?>>Plateau</option>
                                                <option value="Rivers" <?php if ($school_location=="Rivers"){echo "selected";} ?>>Rivers</option>
                                                <option value="Sokoto" <?php if ($school_location=="Sokoto"){echo "selected";} ?>>Sokoto</option>
                                                <option value="Taraba" <?php if ($school_location=="Taraba"){echo "selected";} ?>>Taraba</option>
                                                <option value="Yobe" <?php if ($school_location=="Yobe"){echo "selected";} ?>>Yobe</option>
                                                <option value="Zamfara" <?php if ($school_location=="Zamfara"){echo "selected";} ?>>Zamfara</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-address">School Address</label>
                                            <input type="text"
                                                   name="address"
                                                   class="form-control"
                                                   id="schooladdress"
                                                   value = "<?php echo $school_address; ?>";
                                                   placeholder="Enter school address in full"
                                                   required="">
                                        </div>
                                            <button name="submit" type="submit" class="btn btn-success">
                                                Confirm and Update School
                                            </button> 
                                    </form>
                                <br><br>
        
                                    </div>
                                </div>
                            </div>
                        </div>

                    <?php 
                    include("include/footer.php");
                    
                    ?>

                    </div>
                    <!-- // END drawer-layout__content -->

                <?php
                include("include/nav-bar.php");
                ?>

                </div>
                <!-- // END drawer-layout -->

            </div>
            <!-- // END Header Layout Content -->

        </div>
        <!-- // END Header Layout -->

        <!-- jQuery -->
        <script src="public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="public/vendor/popper.min.js"></script>
        <script src="public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="public/js/app.js"></script>

        <!-- Global Settings -->
        <script src="public/js/settings.js"></script>

        <!-- Moment.js -->
        <script src="public/vendor/moment.min.js"></script>
        <script src="public/vendor/moment-range.js"></script>

        <!-- Flatpickr -->
        <script src="public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="public/js/flatpickr.js"></script>

        <!-- Chart.js -->
        <script src="public/vendor/Chart.min.js"></script>
        <script src="public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="public/js/page.crm-dashboard.js"></script>

        <!-- List.js -->
        <script src="public/vendor/list.min.js"></script>
        <script src="public/js/list.js"></script>

        <!-- Tables -->
        <script src="public/js/toggle-check-all.js"></script>
        <script src="public/js/check-selected-row.js"></script>

        <!-- App Settings (safe to remove) -->
        <!-- <script src="public/js/app-settings.js"></script> -->
    </body>

</html>