<?php
session_start();
include '../config.php';
include 'pfunctions.php';
$mail_menu = true;
$compose_mail_menu = true;

//block logins
if(!isset($_SESSION["parent_in"]) || $_SESSION["parent_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}

//retrieve school_id and student id;
$student_id = $_SESSION["my_student_id"];
$parent_id = $student_id."P";

//fetch and store student details and store in local variables
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $middlename = $row['middlename'];
    $gender = $row['gender'];
    $dob = $row['dob'];
    $blood_group = $row['blood_group'];
    $religion = $row['religion'];
    $address = $row['address'];
    $school_id = $row['school_id'];
    $class = $row['class'];
    $subject01 = $row['subject01'];
    $subject02 = $row['subject02'];
    $subject03 = $row['subject03'];
    $subject04 = $row['subject04'];
    $subject05 = $row['subject05'];
    $subject06 = $row['subject06'];
    $subject07 = $row['subject07'];
    $subject08 = $row['subject08'];
    $subject09 = $row['subject09'];
    $subject10 = $row['subject10'];
}

//fetch and store parent details and store in local variables
$stmt = $conn->PREPARE("SELECT * FROM `parents` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $pfirstname = $row['firstname'];
    $plastname = $row['lastname'];
    $pemail = $row['email'];
}

//put all subject in array
$subjects = array($subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10);
$stmt->close();

//fetch school details with school_id
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){ 
    $school_name = strtolower($row['school_name']);
    $school_category = $row['school_category'];
    $school_address = $row['school_address'];
    $school_location = $row['school_location'];
    $school_status = $row['school_status'];
}
$stmt->close();

//logout url mismatches - compare current url with school name
    //get school name from url
$school_name_url = $_SERVER['REQUEST_URI'];
$school_name_url = explode("/",$school_name_url);
$school_name_url1 = $school_name_url = $school_name_url[1];
$school_name_url = str_replace("-", " ", $school_name_url);

if ($school_name!=$school_name_url){
    header("location: ../login/logout.php");
}

$mail_list = "https://mysmartschool.site/$school_name_url1/parent/mail-list.php";

//fetch receiver from GET if present
if ($_GET['to']){
    $to = trim(strtoupper($_GET['to']));
}


?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Parent Dashboard - Mail | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
              
              
        <!-- tinymce -->      
        <script src="../../public/tinymce/js/tinymce/tinymce.min.js"></script>
        <script>
          tinymce.init({
            selector: '#mail',
            branding: false
          });
        </script>

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->
        </div>


        <!-- Drawer Layout -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->
                <div class="page-section">
                    <div class="container">
                        <div class="card mb-0">
                            <div class="card-body d-flex align-items-center">
                                <div class="mr-3">
                                    <div class="avatar avatar-l">
                                       <span class="avatar-title rounded-circle"><?php echo strtoupper($plastname[0].$pfirstname[0]); ?></span>
                                    </div>
                                </div>
                                <div class="flex">
                                    <h4 class="mb-0"><?php echo ucwords($plastname)." ".ucwords($pfirstname); ?></h4>
                                        <p class="text-50 mb-0">Parent</p>
                                </div>
                            </div>
                        </div>
                        
                        <div class="navbar justify-content-start">
                            <a href="send-mail.php"
                               class="btn btn-sm btn-primary ml-8pt"><i class="material-icons icon--left">edit</i> Compose</a>
                            <a href="mail-list.php"
                               class="btn btn-sm btn-accent ml-8pt"><i class="material-icons icon--left">message</i> Inbox</a>
                            <a href="sent-mail.php"
                               class="btn btn-sm alert-primary ml-8pt"><i class="material-icons icon--left">send</i> Sent</a>
                        </div>
                        <div class="page-separator">
                            <div class="page-separator__text">Compose Mail</div>
                        </div>
                        <div class="col-lg-12 mb-8pt mb-sm-0">
<?php 
if (isset($_POST['send'])){
    if (empty($_POST['mail'])){
        echo "<div class='alert alert-soft-danger text-black' role='alert'>Message is empty!!! Mail not sent.</div>";
    }else{
        //fetch data from form
        $from = strtoupper($parent_id);
        $to = $school_id;
        $mail_subject = $_POST['mail_subject'];
        $mail = $_POST['mail'];
        $sender = ucwords($plastname)." ".ucwords($pfirstname);
        $receiver = $school_name." Admin";
        //check if receiver return value then send mail
        if (!isset($receiver) OR trim($receiver) === '' OR $receiver=='undefined'){
            echo "<div class='alert alert-soft-danger text-black' role='alert'>Mail not sent! Receiver not found.</div>";
            unset($to);
        }else{
            $stmt = $conn->PREPARE("INSERT INTO `mails`(`school_id`, `sender_id`, `receiver_id`, `sender`, `receiver`, `subject`,`message`) VALUES (?,?,?,?,?,?,?)");
            $stmt->BIND_PARAM("sssssss", $school_id, $from, $to, $sender, $receiver, $mail_subject, $mail);
            if ($stmt->EXECUTE()){
                echo "<div class='alert alert-success text-black' role='alert'>Mail sent</div>";
                echo "<meta http-equiv='refresh' content='2;url=$mail_list'>"; 
            }
        }
        
    }
}
?>
                            <div class="flex" style="max-width: 100%">
                                <form method="post" action="" id="form2">
                                    <div class="form-group">
                                    <input type = "text" value="<?php echo "From: ".ucwords($plastname)." ".ucwords($pfirstname)." <".strtoupper($parent_id).">" ;?>"  class="form-control form-control-prepended" required="" placeholder="From: <enter sender id>" disabled>
                                    </div>
                                    
                                    <div class="form-group">
                                    <input type = "text"  value="<?php echo "To: ".ucwords($school_name)." Admin <".$school_id.">"; ?>" class="form-control form-control-prepended" required="" disabled>
                                    </div>
                                    
                                    <div class="form-group">
                                    <input type = "text" name="mail_subject" class="form-control form-control-prepended" required="" placeholder="Subject:">
                                    </div>
                                    
                                    <div class="form-group">
                                        <textarea rows="20" cols="45" name="mail" id="mail" class="form-control" maxlength="20000" placeholder="Compose your mail here"></textarea>
                                    </div>
                                    <button name= "send" type="submit" class="btn btn-lg btn-primary" form = "form2">Send<i class="material-icons">send</i></button>
                                </form>
                                <br>

                            </div>
                                        
                        </div>
                        
                    </div>
                </div>

                <!-- // END Page Content -->
                
                <!-- Footer -->

            <div class="bg-white border-top-2 mt-auto">
                <div class="container page__container page-section d-flex flex-column">
                    <p class="mb-8pt d-flex">
                        <a href=""
                           class="text-70 text-underline mr-8pt small">Terms</a>
                        <a href=""
                           class="text-70 text-underline small">Privacy policy</a>
                    </p>
                    <p class="text-50 small mt-n1 mb-0">Copyright <?php echo date("Y");?> &copy; All rights reserved.</p>
                </div>
            </div>

            <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    </body>

</html>