<?php  

include '../config.php';

function countVideos($class, $subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE (`class`= ?) AND (`subject`= ?)");
    $stmt->BIND_PARAM("ss",$class,$subject);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    return $count;
}

function isAssignment($school_id, $class, $subject, $filename){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `assignment` WHERE (`school_id` = ?) AND (`class` = ?) AND (`subject` = ?) AND (`vfile_name` = ?)");
    $stmt->BIND_PARAM("ssss", $school_id, $class, $subject, $filename);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    if ($count == 1){
        return true;
    }else{
        return false;
    }
}

function doneAssignment($school_id,$student_id, $assignment_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `ans_assignment` WHERE (`school_id` = ?) AND (`student_id` = ?) AND (`assignment_id` = ?)");
    $stmt->BIND_PARAM("sss", $school_id, $student_id, $assignment_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    if (mysqli_num_rows($result)==1){
        return true;
    }else{
        return false;
    }
}

function getScore($student_id, $assignment_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `ans_assignment` WHERE (`student_id` = ?) AND (`assignment_id` = ?)");
    $stmt->BIND_PARAM("ss", $student_id, $assignment_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row['score'];
    }
    return $score;
}

function countDiscussions($discusion_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `discussions` WHERE `discussion_id` = ?");
    $stmt->BIND_PARAM("s", $discusion_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    return $count;
}

function getDiscussionstatement($school_id, $class, $subjects){
    $array_length = count($subjects);
    for ($c=0; $c<$array_length; $c++){
        $build= " (`school_id` = ? AND `class` = ? AND `subject` = ?)";
        $my_statement.=$build;
        if ($c<$array_length-1){
                $my_statement.="  OR  ";
            }
        $statement_build = "SELECT *  FROM `subjects` WHERE $my_statement";
        $param.="sss";
        //add values 3 times --, school_id, class, subjects
         $value[] = $school_id;
         $value[] = $class;
         $value[] = $subjects[$c]; 
        
        
    }
    $final_statement = $statement_build;
    return array($final_statement, $param, $value);
}

function getDiscussionstatement1($school_id, $class, $subjects,  $this_page_first_result, $per_page){
    $array_length = count($subjects);
    for ($c=0; $c<$array_length; $c++){
        $build= " (`school_id` = ? AND `class` = ? AND `subject` = ?)";
        $my_statement.=$build;
        if ($c<$array_length-1){
                $my_statement.="  OR  ";
            }
        $statement_build = "SELECT *  FROM `subjects` WHERE $my_statement";
        $param.="sss";
        //add values 3 times --, school_id, class, subjects
         $value[] = $school_id;
         $value[] = $class;
         $value[] = $subjects[$c]; 
        
        
    }
    $final_statement = $statement_build." ORDER BY `date_created` DESC LIMIT ?, ?";
    $param.= "ss";
    $value[] = $this_page_first_result;
    $value[] = $per_page;
    return array($final_statement, $param, $value);
}

function getTeacher($school_id, $class, $subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `school_id` = ?");
    $stmt->BIND_PARAM("s", $school_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $t_class = unserialize($row['class']);
        $t_subject = unserialize($row['subject']);
        if (in_array($class,$t_class)AND(in_array($subject,$t_subject))){
            $teacher_name = ucwords($row['lastname'])." ".ucwords($row['firstname']);
            return $teacher_name;
        }else{
            return "No teacher assigned yet";
        }
    }
        
}

function getReceiver($id){
    include '../config.php';
    //determine length of ID - admin(6) or student/teacher(14)
    $count = strlen($id);
    if ($count==6){
        //search admin table
        $stmt = $conn->PREPARE("SELECT * FROM `school_admins` WHERE `school_id` = ?");
            $stmt->BIND_PARAM("s", $id);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            while ($row = $result->fetch_assoc()){
                $receiver = ucwords($row['school_name'])." Admin";
                return $receiver;
            }
        
    }elseif($count==14){
        //detect 9th character $id[8]
        if ($id[8]=="T"){
            //search teachers table
            $stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
            $stmt->BIND_PARAM("s", $id);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            while ($row = $result->fetch_assoc()){
                $receiver = ucwords($row['lastname'])." ".ucwords($row['firstname']);
                return $receiver;
            }
            
            
        }elseif($id[8]=="S"){
            //search students table
            $stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
            $stmt->BIND_PARAM("s", $id);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            while ($row = $result->fetch_assoc()){
                $receiver = ucwords($row['lastname'])." ".ucwords($row['firstname']);
                return $receiver;
            }
            
        }else{
            return "Undefined";
        }
    }else{
        return "Undefined";
    }
    
}


function midScore($student_id, $students_subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `mid_term` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s",$student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row[$students_subject];
        return $score;
    }
}

function examScore($student_id, $students_subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `exam` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s",$student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row[$students_subject];
        return $score;
    }
}



?>