<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$records_menu = true;
$mid_term_menu == true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize($row['class']);
    $subject = unserialize($row['subject']);
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get classes and class links
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);

//get class and subject from url
$students_class = $_GET['class'];
$students_subject = $_GET['subject'];


//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];

//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }
?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - Upload Mid Term Records | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->

            <!-- More spinner examples at https://github.com/tobiasahlin/SpinKit/blob/master/examples.html -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="../index.php">Home</a></li>

                                    <li class="breadcrumb-item active">

                                        Dashboard

                                    </li>

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                <div class="page-section border-bottom-2">
                    <div class="container page__container">

                       <div class="page-separator">
                                <div class="page-separator__text">Upload Mid - Term Records for <?php echo $students_class." ".$students_subject; ?></div>
                            </div>
                       
                       <div class="col-lg-12 mb-8pt mb-sm-0">
<?php
//select all student from students table with student_class and students_subject
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE (`school_id` = ?) AND (`class` = ?) AND (`subject01` = ? OR `subject02` = ? OR `subject03` = ? OR `subject04` = ? OR `subject05` = ? OR `subject06` = ? OR `subject07` = ? OR `subject08` = ? OR `subject09` = ? OR `subject10` = ?)") ;
$stmt->BIND_PARAM("ssssssssssss", $school_id, $students_class, $students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 1;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();


$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE (`school_id` = ?) AND (`class` = ?) AND (`subject01` = ? OR `subject02` = ? OR `subject03` = ? OR `subject04` = ? OR `subject05` = ? OR `subject06` = ? OR `subject07` = ? OR `subject08` = ? OR `subject09` = ? OR `subject10` = ?) ORDER BY `date_created` LIMIT ?,?") ;
$stmt->BIND_PARAM("ssssssssssssss", $school_id, $students_class, $students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject,$students_subject, $this_page_first_result, $per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $student_id = $row['student_id'];
    $student_name = ucwords($row['lastname'])." ".ucwords($row['firstname'])." ".ucwords($row['middlename']);
    
?>
                            <div class="row mb-32pt">
                                <div class="col-lg-4">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Student Details</div>
                                    </div>
                                    <p class="card-subtitle text-black mb-2">Name: <?php echo ucwords($row['lastname'])." ".ucwords($row['firstname'])." ".ucwords($row['middlename'])  ;?></p>
                                    <p class="card-subtitle text-black mb-2">ID: <?php echo $row['student_id'] ;?></p>
                                    <p class="card-subtitle text-black mb-2">Gender: <?php echo ucwords($row['gender']) ;?></p>
                                    <div class= "alert alert-warning text-black">Ensure the values are correct before submitting the records.</div>
                                </div>
                                <div class="col-lg-8 d-flex align-items-center">
                                    <div class="flex" style="max-width: 100%">
                                        
                                        <form method="POST" action="">
                                            <div class="form-group">
                                                <label class="form-label" for="exampleInputEmail1">Mid-Term Score:</label>
                                                <input name="score1" type="number" class="form-control" placeholder="Enter student score .." value = "<?php if(midScore($student_id, $students_subject)>0){echo midScore($student_id, $students_subject);} ?>" required <?php if (midScore($student_id, $students_subject)>0){echo 'disabled';}?>>
                                            </div>
                                            <div class="form-group">
                                                <label class="form-label" for="exampleInputPassword1">Re-enter Student Score:</label>
                                                <input name="score2" type="number" class="form-control" placeholder="Re-enter student score .." value = "<?php if(midScore($student_id, $students_subject)>0){echo midScore($student_id, $students_subject);} ?>" required <?php if (midScore($student_id, $students_subject)>0){echo 'disabled';}?>>
                                            </div>
                                            <input  type="submit" name="submit" class="btn btn-primary" value="Submit" <?php if (midScore($student_id, $students_subject)>0){echo 'disabled';}?>>
                                        </form>
                                    </div>
                                </div>
                            </div>

<?php
}
 
if (isset($_POST['submit'])){
    //check if score 1 == score 2 
    if ($_POST['score1'] != $_POST['score2']){
        echo "<div class='alert alert-danger text-black'>Scores are not the same, record not uploaded.</div>";
    }else{
        $score = $_POST['score1'];
        //check if student has record on the table then update else insert
            //select from mid-term table with student_id
            $stmt = $conn->PREPARE("SELECT * FROM `mid_term` WHERE (`student_id` = ? AND `class` = ?)");
            $stmt->BIND_PARAM("ss", $student_id, $students_class);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            $s_count = mysqli_num_rows($result);
            if ($s_count==1){
                //record exist just update
                $stmt = $conn->PREPARE("UPDATE `mid_term` SET `$students_subject` = ? WHERE (`student_id` = ? AND `class` = ?)");
                $stmt->BIND_PARAM("sss",$score, $student_id, $students_class);
                if($stmt->EXECUTE()){
                    echo "<div class='alert alert-success text-black'>".ucwords($students_subject)." mid-term score uploaded successfully for $student_name  </div>";
                    echo "<meta http-equiv='refresh' content='2'>";
                }
            }elseif($_count==0){
                //insert record
                $stmt = $conn->PREPARE("INSERT INTO `mid_term`(`school_id`, `student_id`, `class`,`$students_subject`) VALUES (?,?,?,?)");
                $stmt->BIND_PARAM("ssss", $school_id, $student_id, $students_class, $score);
                if($stmt->EXECUTE()){
                    echo "<div class='alert alert-success text-black'>".ucwords($students_subject)." mid-term score uploaded successfully for $student_name  </div>";
                    echo "<meta http-equiv='refresh' content='2'>";
                }
            }
    }
    
}


?>
                        <div class="card-footer p-8pt">

                            <ul class="pagination justify-content-end pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Previous Student</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span><?php echo $page; ?></span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                        <span>Next Student</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                            </ul>
                        </div>







                        </div>
           
                       
                        

                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>

    </body>

</html>