<?php
session_start();

//reverse page url to get $school_name
    //this allows entering school page by typing the url directly.
$pageurl = $_SERVER['REQUEST_URI'];
$explode = explode('/',$pageurl);
$pageurl = $explode[1];
//replace hyphen with space
$school_name = str_replace("-"," ",$pageurl);


include '../config.php';

//fetch all school records from `schools` table
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_name`=?");
$stmt->BIND_PARAM("s", $school_name);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    //save records to local variables
    $school_id = $row['school_id'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
    $admission_info = $row['admission_info'];
    $admission_status = $row['admission_status'];
    $school_about = $row['school_about'];
    $school_email = $row['school_email'];
    $school_logo = $row['school_logo'];
    $school_front_image = $row['school_front_image'];
    $school_phone_main = $row['school_phone_main'];
    $school_phone_2 = $row['school_phone_2'];
    $school_phone_3 = $row['school_phone_3'];
    $school_website = $row['school_website'];
    $school_ig = $row['school_ig'];
    $school_fb = $row['school_fb'];
    $school_twitter = $row['school_twitter'];
    $school_opening = $row['school_opening'];
    $school_closing = $row['school_closing'];
}
$_SESSION['school_name'] = $school_name;

//set url
$url = strtolower($school_name);
$url = str_replace(" ","-",$url);
$url ="/".$url."/student/"; 

//for login to return to this page
$_SESSION['current_page'] = $url;

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Contact Us - School Page</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky-subnav layout-default ">
        
        <?php include ("../include/header-school-contactt.php"); ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content page-content ">

                <div class="page-section bg-alt border-bottom-2">
                    <div class="container page__container">

                        <div class="d-flex flex-column flex-lg-row align-items-center">
                            <div class="d-flex flex-column flex-md-row align-items-center flex mb-16pt mb-lg-0 text-center text-md-left">
                                <div class="mb-16pt mb-md-0 mr-md-24pt">
                                    <img src="<?php if($school_logo){ echo $school_logo;}else{ echo '../../public/images/illustration/student/128/black.svg';} ?>" 
                                         width="104"
                                         alt="teacher">
                                </div>
                                <div class="flex">
                                    <h1 class="h2 mb-0"><?php echo ucwords($school_name); ?></h1>
                                    <span><i class="material-icons">location_on</i><?php if($school_address){ echo $school_address;}else{ echo 'Not Available Yet';} ?></span>
                                </div>
                            </div>
                            <div class="ml-lg-16pt">
                                <a href="index.php"
                                   class="btn btn-light">Home</a>
                            </div></br>
                            <div class="ml-lg-16pt">
                                <a href="login/student-login.php"
                                   class="btn btn-light">Student Login</a>
                            </div>
                            <div class="ml-lg-16pt">
                                <a href="login/"
                                   class="btn btn-light">Staff Login</a>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="page-section">
                    <div class="container page__container">

                        <div class="row">
                            <div class="col-lg-8">
                                <div class="flex"
                                     style="max-width: 100%">
    
                                    <div class="form-group">
                                        <label class="form-label"
                                               for="exampleInputEmail1">Your Name</label>
                                        <input type="text"
                                               class="form-control"
                                               id="exampleInputEmail1"
                                               placeholder="Enter your full name ..">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label"
                                                   for="exampleInputEmail1">Your Email</label>
                                        <input type="email"
                                               class="form-control"
                                               id="exampleInputEmail1"
                                               placeholder="Enter your email address ..">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label"
                                               for="exampleInputEmail1">Phone No</label>
                                        <input type="text"
                                               class="form-control"
                                               id="exampleInputEmail1"
                                               placeholder="Enter your phone no ..">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label"
                                               for="exampleInputPassword1">Message</label>
                                        <textarea aria-required="true" rows="6" cols="45" name="message" id="message" class="form-control" placeholder="Message"></textarea>
                                    </div>
                                    <button type="submit"
                                            class="btn btn-primary btn-lg">Send Message</button>
    
                                </div>
                            </div>
                            <div class="col-lg-4">

                                <h3>Connect with Us</h3>
                                <p class="text-70">You can reach out to us using the details below.</p>
                                <div class="d-flex align-items-center mb-24pt">
                                    <?php if ($school_fb){
                                        echo "<a href=".$school_fb." class='text-accent fab fa-facebook-square font-size-24pt mr-8pt' target='_blank'></a>";
                                    }else{ echo '';}
                                    ?> 
                                      
                                    <?php if ($school_twitter){
                                        echo "<a href=".$school_twitter." class='text-accent fab fa-twitter-square font-size-24pt' target='_blank'></a>";
                                    }else{ echo '';}
                                    ?> 
                                    <?php if ($school_ig){
                                        echo "<a href=".$school_ig." class='text-accent fab fa-instagram-square font-size-24pt ml-8pt' target='_blank'></a>";
                                    }else{ echo '';}
                                    ?>
                                </div>
                                
                                <p class="text-70 mb-0">
                                <span class="h5 m-0 font-weight-normal">Opening Hours</span></br>
                                <span class="h4 m-0 font-weight-normal"><?php if($school_opening and $school_closing){ echo $school_opening." - ".$school_closing;}else{ echo 'Not Available Yet';} ?> </br>(Mon - Fri)</span></br></br>
                                <span class="h4 m-0 font-weight-normal"><i class="material-icons">phone</i></span>
                                <span class="h4 m-0 font-weight-normal"><?php if($school_phone_main){ echo $school_phone_main;}else{ echo 'Not Available Yet';} ?></span></br>
                                <span class="h4 m-0 font-weight-normal">&nbsp;&nbsp;&nbsp;<?php if($school_phone_2){ echo $school_phone_2;}else{ echo '';} ?></span>
                                </p>
                                
                            </div>
                        </div>

                    </div>
                </div>

            </div>
            <!-- // END Header Layout Content -->

            <!-- Footer -->
            <?php include ("../include/footer-school.php"); ?>
            
            <!-- // END Footer -->

        </div>
        <!-- // END Header Layout -->

        <!-- Drawer -->
        <?php include ("../include/sidebar-schooll.php"); ?>

        <!-- // END Drawer -->

        <!-- jQuery -->
        <script src="../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../public/vendor/popper.min.js"></script>
        <script src="../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../public/js/app.js"></script>

        <script>
            (function() {
                'use strict';
                var headerNode = document.querySelector('.mdk-header')
                var layoutNode = document.querySelector('.mdk-header-layout')
                var componentNode = layoutNode ? layoutNode : headerNode
                componentNode.addEventListener('domfactory-component-upgraded', function() {
                    headerNode.mdkHeader.eventTarget.addEventListener('scroll', function() {
                        var progress = headerNode.mdkHeader.getScrollState().progress
                        var navbarNode = headerNode.querySelector('#default-navbar')
                        navbarNode.classList.toggle('bg-transparent', progress <= 0.2)
                    })
                })
            })()
        </script>

    </body>

</html>