<?php
session_start();
include '../config.php';
include 'stfunctions.php';
$discussion_menu = true;

//block logins
if(!isset($_SESSION["student_in"]) || $_SESSION["student_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}

//retrieve school_id and student id
$student_id = $_SESSION['student_id'];

//fetch and store student details and store in local variables
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $middlename = $row['middlename'];
    $gender = $row['gender'];
    $dob = $row['dob'];
    $blood_group = $row['blood_group'];
    $religion = $row['religion'];
    $address = $row['address'];
    $school_id = $row['school_id'];
    $class = $row['class'];
    $subject01 = $row['subject01'];
    $subject02 = $row['subject02'];
    $subject03 = $row['subject03'];
    $subject04 = $row['subject04'];
    $subject05 = $row['subject05'];
    $subject06 = $row['subject06'];
    $subject07 = $row['subject07'];
    $subject08 = $row['subject08'];
    $subject09 = $row['subject09'];
    $subject10 = $row['subject10'];
}
//put all subject in array
$subjects = array($subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10);
$stmt->close();

//fetch school details with school_id
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){ 
    $school_name = strtolower($row['school_name']);
    $school_category = $row['school_category'];
    $school_address = $row['school_address'];
    $school_location = $row['school_location'];
    $school_status = $row['school_status'];
}
$stmt->close();

//logout url mismatches - compare current url with school name
    //get school name from url
$school_name_url = $_SERVER['REQUEST_URI'];
$school_name_url = explode("/",$school_name_url);
$school_name_url = $school_name_url[1];
$school_name_url = str_replace("-", " ", $school_name_url);

if ($school_name!=$school_name_url){
    header("location: ../login/logout.php");
}

//build subject folders
    //get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$class_folder =str_replace(" ","-",$class)."-".str_replace(" ","-",$subject); 
$dir = "/home3/cedargen/public_html/mysmartschool/$school_name_url/subject/$class_folder/";

//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Student Dashboard - Discussions | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Subject: <?php echo ucwords($subject); ?></h2>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6>(".$student_id.")</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active">Dashboard</li>
                                    <li class="breadcrumb-item active">Subject Videos</li>
                                    

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">My Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                <div class="container page__container page-section">

                    <div class="page-separator">
                        <div class="page-separator__text">See All Discussions</div>
                    </div>



                    <div class="row card-group-row mb-lg-8pt">
<?php 
//select all records to set pagination variable.
$sql = getDiscussionstatement($school_id, $class, $subjects);
$stmt = $conn->PREPARE($sql[0]);
$stmt->BIND_PARAM($sql[1], ...$sql[2]);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 5;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();

//select all records again with limits
$sql1 = getDiscussionstatement1($school_id, $class, $subjects,  $this_page_first_result, $per_page);
$stmt = $conn->PREPARE($sql1[0]);
$stmt->BIND_PARAM($sql1[1], ...$sql1[2]);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$sn = $this_page_first_result + 1;
while ($row = $result->fetch_assoc()){ 
?>
                        <div class="col-sm-4 card-group-row__col">

                            <div class="card overlay--show card-lg overlay--primary-dodger-blue stack stack--1 card-group-row__card">

                                <div class="card-body alert-soft-primary d-flex flex-column">
                                    <div class="d-flex align-items-center">
                                        <div class="flex">
                                            <div class="d-flex align-items-center">
                                                <div class="flex">
                                                    <div class="card-title"><?php echo "Topic: ".ucwords($row['topic']); ?></div>
                                                    <p class="flex text-primary lh-1 mb-0"><small><strong><?php echo strtoupper($row['class'])." - ".ucwords($row['subject']); ?></strong></small></p>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <p class="mt-16pt text-70 flex"><?php echo $row['description']; ?></p>

                                    <div class="d-flex align-items-center mb-8pt justify-content-center">
                                        <div class="d-flex align-items-center mr-8pt">
                                            <span class="material-icons icon-16pt text-50 mr-4pt">chat</span>
                                            <p class="flex text-50 lh-1 mb-0"><small><?php echo countDiscussions($row['discussion_id']); ?> Discussions</small></p>
                                        </div>
                                    </div>
                                    <div class="d-flex align-items-center justify-content-center">
                                        <a href="subject-topic.php?class=<?php echo $row['class']; ?>&subject=<?php echo $row['subject']; ?>&filename=<?php echo $row['vfile_name']; ?>"
                                           class="btn btn-primary">Join Discussion</a>
                                    </div>

                                </div>

                            </div>

                        </div>
<?php
}
?>
                    </div>
                    


                    <div class="card-footer mb-32pt">

                        <ul class="pagination justify-content-center pagination-xsm m-0">
                            <li class="page-item">
                                <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                    <span>first</span>
                                </a>
                            </li>
                            <li class="page-item">
                                <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                    <span aria-hidden="true" class="material-icons">chevron_left</span>
                                    <span>Prev</span>
                                </a>
                            </li>
                            <li class="page-item">
                                <a class="page-link" href="#" aria-label="Page 1">
                                    <span><?php echo $page; ?></span>
                                </a>
                            </li>
                            <li class="page-item">
                                <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                    <span>Next</span>
                                    <span aria-hidden="true" class="material-icons">chevron_right</span>
                                </a>
                            </li>
                            <li class="page-item">
                                <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                    <span>last</span>
                                </a>
                            </li>
                        </ul>

                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>

    </body>

</html>