<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$classwork_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize(strtolower($row['class']));
    $subject = unserialize(strtolower($row['subject']));
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id=$row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get classes and class links - for menu to work
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);

//get filename,class and subject from url
$filename = $_GET['filename'];
$this_class = strtolower($_GET['class']);
$this_subject = strtolower($_GET['subject']);
$class_url = str_replace(" ","-",$this_class)."-".str_replace(" ","-",$this_subject);

//build video url
    //get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$vurl = "https://mysmartschool.site/$school_name_url/subject/$class_url/$filename";


//select file title with $filename
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE `vfile_name` = ?");
$stmt->BIND_PARAM("s",$filename);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    $topic = $row['topic'];
    $description = $row['description'];
    $discussion_id = $row['discussion_id'];
}

//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }


$_SESSION['current'] = $_SERVER['REQUEST_URI'];
?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - School Name | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">  
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="../../public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="../../public/css/flatpickr-airbnb.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
              
        <!-- Quill Theme -->
        <link type="text/css"
              href="../../public/css/quill.css"
              rel="stylesheet">
        <!-- Select2 -->
        <link type="text/css"
              href="../../public/vendor/select2/select2.min.css"
              rel="stylesheet">
        <link type="text/css"
              href="../../public/css/select2.css"
              rel="stylesheet">
    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->

            <!-- More spinner examples at https://github.com/tobiasahlin/SpinKit/blob/master/examples.html -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active"><a href="index.php">Manage Subjects</a></li>
                                    <li class="breadcrumb-item active"><a href="class.php?class=<?php echo $this_class; ?>&subject=<?php echo $this_subject; ?>">Class Videos</a></li>
                                    <li class="breadcrumb-item active">Watch Class Video</li>
                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="classwork.php?class=<?php echo $this_class; ?>&subject=<?php echo $this_subject; ?>&filename=<?php echo $filename; ?>"
                                   class="btn btn-outline-secondary">Set Classwork</a>
                                <a href="assignment.php?class=<?php echo $this_class; ?>&subject=<?php echo $this_subject; ?>&filename=<?php echo $filename; ?>"
                                   class="btn btn-outline-secondary">Set Assignment</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->
                <div class="page-section">
                    <div class="container page__container">
                    
                    <div class="page-separator">
                            <div class="page-separator__text">Class Video</div>
                        </div>
                    </div>
                </div>

                <div class="bg-primary page-section border-bottom-2">
                    <div class="container page__container">
                    <div class="js-player embed-responsive embed-responsive-16by9 mb-32pt" data-domfactory-upgraded="player">
                        <div class="player embed-responsive-item">
                            <div class="player__content">
                                <a href="" class="player__play bg-primary">
                                    <span class="material-icons">play_arrow</span>
                                </a>
                            </div>
                            <div class="player__embed">
                                <iframe class="embed-responsive-item" src="<?php echo $vurl; ?>" allowfullscreen=""></iframe>
                            </div>
                            
                        </div>
                    </div>
                    
                    <div class="d-flex flex-wrap align-items-end mb-16pt">
                        <h1 class="text-white flex m-0"><?php echo $topic; ?></h1><br> 
                    </div>
                    <p class="hero__lead measure-hero-lead text-white-50 mb-24pt">
                            <?php echo $description; ?>
                            </p>
                    </div>
                </div>
                
                <div class="page-section border-bottom-2">
                    <div class="container page__container">
                        <div class="row align-items-start">
                            <div class="col-md-8">

                                <div class="page-separator">
                                        <div class="page-separator__text">Set Classwork</div>
                                </div>
                                <div class="card card-body">

                                    <div class="form-group">
                                        <label class="form-label">Question</label>
                                        <!-- <textarea class="form-control" rows="3" placeholder="Question"></textarea> -->
                                        <div style="height: 150px;"
                                             class="mb-0"
                                             data-toggle="quill"
                                             data-quill-placeholder="Question">
                                            
                                        </div>
                                        <small class="form-text text-muted">Shortly describe the question.</small>
                                    </div>

                                    <div class="form-group">
                                        <label class="form-label">Question Type</label>
                                        <select name="category"
                                                class="form-control custom-select">
                                            <option value="vuejs">Multiple Answer</option>
                                            <option value="vuejs">Single Answer</option>
                                            <option value="vuejs">Essay</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label"
                                               for="select01">Answers</label>
                                        <select id="select01"
                                                data-toggle="select"
                                                data-multiple="true"
                                                multiple="multiple"
                                                class="form-control">
                                            <option selected="">My first option</option>
                                            <option selected="">Another option</option>
                                            <option>Third option is here</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label"
                                               for="starttime">Classwork Start Time</label>
                                        <input id="starttime"
                                               type="text"
                                               name="start_time"
                                               class="form-control"
                                               placeholder="Pick a start time"
                                               data-toggle="flatpickr"
                                               data-flatpickr-enable-time="true"
                                               data-flatpickr-no-calendar="true"
                                               data-flatpickr-alt-format="H:i"
                                               data-flatpickr-date-format="H:i"
                                               value="00:00">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label"
                                               for="endtime">Classwork End Time</label>
                                        <input id="endtime"
                                               type="text"
                                               name="end_time"
                                               class="form-control"
                                               placeholder="Select end time"
                                               data-toggle="flatpickr"
                                               data-flatpickr-enable-time="true"
                                               data-flatpickr-no-calendar="true"
                                               data-flatpickr-alt-format="H:i"
                                               data-flatpickr-date-format="H:i"
                                               value="00:00">
                                    </div>
                                    <div class="form-group">
                                        <label class="form-label">Another field</label>
                                        <input type="text"
                                               class="form-control"
                                               value="1000">
                                    </div>
                                    <div>
                                        <a href="#"
                                           class="btn btn-outline-secondary">Add Question</a>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-4">

                                <div class="card">
                                    <div class="card-header text-center">
                                        <a href="#"
                                           class="btn btn-accent">Save changes</a>
                                    </div>
                                    <div class="list-group list-group-flush">
                                        <div class="list-group-item d-flex">
                                            <a class="flex"
                                               href="#"><strong>Save Draft</strong></a>
                                            <i class="material-icons text-muted">check</i>
                                        </div>
                                        <div class="list-group-item">
                                            <a href="#"
                                               class="text-danger"><strong>Delete Quiz</strong></a>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>
        
        <!-- Quill -->
        <script src="../../public/vendor/quill.min.js"></script>
        <script src="../../public/js/quill.js"></script>
        <!-- Select2 -->
        <script src="../../public/vendor/select2/select2.min.js"></script>
        <script src="../../public/js/select2.js"></script>

        <!-- Highlight.js -->
        <script src="../../public/js/hljs.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    </body>

</html>