<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$live_class_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize($row['class']);
    $subject = unserialize($row['subject']);
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get classes and class links
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);


//get filename,class and subject from url
$topic = strtolower($_GET['topic']);
$subject = strtolower($_GET['subject']);
$token = $_GET['token'];

$url1 = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url_check = strtolower($url1[1]);
$url_main = 'https://mysmartschool.site/'.$school_name_url_check.'/teacher/setup-live-class.php';

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Delete live class - School Name | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="../../public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="../../public/css/flatpickr-airbnb.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->

            <!-- More spinner examples at https://github.com/tobiasahlin/SpinKit/blob/master/examples.html -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="../index.php">Home</a></li>

                                    <li class="breadcrumb-item active">

                                        Dashboard

                                    </li>

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="#"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->
                <form method="post" action="" id="form1"></form>
                
                <div class="page-section">
                    <div class="container page__container">
                        <div class="page-separator">
                            <div class="page-separator__text">Delete Selected Live Class </div>
                        </div>
                        <div class="row mb-32pt">
                            <div class="table-responsive" data-toggle="lists">

                            <table class="table mb-0 thead-border-top-0 table-nowrap">
                                <thead>
                                    <tr>
                                        <th>
                                            <a>SN</a>
                                        </th>
                                        <th>
                                            <a>Action</a>
                                        </th>
                                        <th>
                                            <a>Subject/Class</a>
                                        </th>
                                        <th>
                                            <a>Topic</a>
                                        </th>
                                        <th>
                                            <a>Date</a>
                                        </th>
                                        <th>
                                            <a>Class Link</a>
                                        </th>
                                        <th>
                                            <a>Duration</a>
                                        </th>
                                    </tr>
                                </thead>
<?php
//select file title with token, subject and topic
$stmt = $conn->PREPARE("SELECT * FROM `live_class` WHERE (`topic` = ?) AND (`subject` = ?) AND (`id` = ?)");
$stmt->BIND_PARAM("sss",$topic,$subject,$token);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
?>
                                <tbody class="list" id="clients">
                                    <tr>
                                        <td>
                                            <small class="text-50"><?php echo "1"; ?></small>
                                        </td>
                                        
                                        <td>
                                            <input name="submit" class="btn btn-danger btn-sm" type="submit" value="Delete" form="form1" onclick="return confirm('Are you sure you want to delete this live class?')">
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['class']." - ".$row['subject']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['topic']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['class_date']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['class_link']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['start_time']." - ".$row['end_time']; ?></small>
                                        </td>
<?php
}
?>
                                        
                                    </tr>
                                </tbody>

                            </table>
<?php
if (isset($_POST['submit'])){
    //delete post and return to previous page
    $stmt = $conn->PREPARE("DELETE FROM `live_class` WHERE (`topic` = ?) AND (`subject` = ?) AND (`id` = ?)");
    $stmt->BIND_PARAM("sss",$topic,$subject,$token);
    if ($stmt->EXECUTE()){
        echo "<div class='alert alert-soft-primary' role='alert'>";
        echo "Your class '".$topic."' has been deleted successfully...returning to live class list...";
        echo "</div>";
        echo "<meta http-equiv='refresh' content='1;url=$url_main'> ";
        
    }else{
        echo "<div class='alert alert-soft-accent' role='alert'>";
        echo "Something went wrong...please try again later.";
        echo "</div>";
        
    }
    
}
?>

                        </div>
                            
                        </div>
                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    </body>

</html>