<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$assignment_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize(strtolower($row['class']));
    $subject = unserialize(strtolower($row['subject']));
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get classes and class links - for menu to work
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);


//get assignment id from get
$assignment_id = $_GET['id'];

//Use assignment id to get answer, class and subject
$stmt = $conn->PREPARE("SELECT * FROM `assignment` WHERE `assignment_id` = ?");
$stmt->BIND_PARAM("s", $assignment_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $teacher_answer = $row['answer'];
    $this_class = $row['class'];
    $this_subject = $row['subject'];
}

//build subject directory and validate
    //files are in class name - subject name in subject folder
    //e.g. /home3/cedargen/public_html/mysmartschool/happy-day-academy/subject/class-subject/
//get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$class_folder =str_replace(" ","-",$this_class)."-".str_replace(" ","-",$this_subject); 
$dir = "/home3/cedargen/public_html/mysmartschool/$school_name_url/subject/$class_folder/";
$_SESSION['target_dir'] = $dir;

//check if directory exist
if (is_dir($dir)){
    //fine
}else{
    if(mkdir($dir)){
        //fine
    }else{
        echo "something is wrong. Could not initiate connection to class and subject folder";
        exit();  
    }
}
?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - Mark Assignments | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">
              
        <!-- fine uploader -->
        <link type="text/css"
              href="../../public/vendor/fine-uploader-new.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">
              
        <!-- drop zone -->
        <link type="text/css"
              href="../../public/css/dropzone.css"
              rel="stylesheet">
        
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
        
        <!-- tinymce -->
        <script src="../../public/tinymce/js/tinymce/tinymce.min.js"></script>
        <script>
          tinymce.init({
            selector: '#assignmentarea',
            branding: false
          });
        </script>
        <script>
          tinymce.init({
            selector: '#answerarea',
            branding: false
          });
        </script>
    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active"><a href="assignment.php?class=<?php echo $this_class; ?>&subject=<?php echo $this_subject; ?>">Manage Assignments</a></li>
                                    <li class="breadcrumb-item active">Mark Assignment</li>
                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                <div class="page-section border-bottom-2">
                    <div class="container page__container">
                        <div class="page-separator">
                            <div class="page-separator__text">Mark this assignment <?php echo "($this_class - $this_subject)" ?></div>
                        </div>
                        
                        <div class="row mb-8pt">
                                <div class="col-lg-6">

                                    <div class="page-separator">
                                        <div class="page-separator__text">Student Response</div>
                                    </div>
<?php 
//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

//select all records to set pagination variable.
$stmt = $conn->PREPARE("SELECT * FROM `ans_assignment` WHERE (`assignment_id` = ?) AND (`score` IS NULL)");
$stmt->BIND_PARAM("s", $assignment_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
if ($count==0){echo "<div class='alert alert-soft-success text-black'>Yippes!, You have marked all the scripts.</div>";}
$per_page = 1;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();

//select all from answers table
$stmt = $conn->PREPARE("SELECT * FROM `ans_assignment` WHERE (`assignment_id` = ?) AND (`score` IS NULL) ORDER BY `date_created` DESC LIMIT ?,?");
$stmt->BIND_PARAM("sss", $assignment_id, $this_page_first_result,$per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count1 = mysqli_num_rows($result);
$sn = $this_page_first_result + 1;
while($row = $result->FETCH_ASSOC()){
$student_id = $row['student_id'];
?>

                                    <div class="card card-body alert-soft-primary text-black mb-0">
                                    <p>Student Name: <?php echo ucwords(getStudentName($row['student_id'])); ?></p>
                                    <p>Student ID: <?php echo $row['student_id']; ?></p>
                                    <p>Student Answer:</p>
                                    <?php echo $row['answer']; ?>  
                                    </div>
                                    
<?php 
    }
?>
                        <div class="card-footer alert-soft-primary">

                            <ul class="pagination justify-content-start pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Prev</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span><?php echo $page; ?></span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                        <span>Next</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                                <li class="page-item"><a class="page-link"><span class="alert-soft-primary">(page <?php echo $page; ?> of <?php echo $number_of_pages; ?>)</span></a></li>
                            </ul>
                        </div>
                        
                        <div class="card card-body alert-soft-primary text-black mt-3">
                        <form method="post" action="">
                            <div class="form-group">
                                <label class="form-label" for="score">Score this student (%)</label>
                            <input name="score"  type="number" class="form-control" id="score" placeholder="Enter student score as a percentage" step=0.1>
                            </div>
                            <input name="submit" type="submit" value="Submit" class="btn alert-soft-primary" onclick="return confirm('Are you sure you want to submit this score and move to the next student')">
                        </form>
<?php
if (isset($_POST['submit'])){
    $score = $_POST['score'];
    if (empty(trim($score))){
        $message = "Enter the student score before submitting";
    }else{
        //post score for student
        $stmt = $conn->PREPARE("UPDATE `ans_assignment` SET `score`= ? WHERE (`student_id` = ?) AND (`assignment_id` = ?)");
        $stmt->BIND_PARAM("sss", $score, $student_id, $assignment_id);
        if ($stmt->EXECUTE()){
            $message = "Student score recorded successfully";
            echo "<meta http-equiv='refresh' content='0'>";  
        }else{
        $message = "Something is wrong, database error";
    }
        
    }
    
    if ($message){
        echo "<div class='alert alert-warning mt-3'>$message</div>";
        echo $score;
    }
    
}
?>
                        </div>
                        
                        
                                </div>
                                <div class="col-lg-6">

                                    <div class="page-separator">
                                        <div class="page-separator__text">Teachers Answers</div>
                                    </div>
                                    <div class="card">
                                        <div class="card-body">
                                            <?php echo $teacher_answer; ?>
                                        </div>

                                    </div>
                                </div>
                        </div>
                    </div>
                </div>
                
                
                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>
        
        <!-- dropzone -->
        
        <script src="../../public/vendor/dropzone.min.js"></script>
        <script src="../../public/js/dropzone.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    
    </body>
    

</html>