<?php
include "../config.php";

function subjectMenu($subject, $class){
    foreach ($subject as $subject_item){
            foreach ($class as $class_item){
                $menu[] = strtoupper($class_item)." - ".ucwords($subject_item);
                $folder[] = str_replace(" ", "-", strtolower($class_item))."-".str_replace(" ", "-", strtolower($subject_item));
            }
        }
    return array($menu,$folder);
    }
 
 
//Custom function to compress image size and upload to the server using PHP 
function compressImage($source, $destination, $quality) { 
    // Get image info 
    $imgInfo = getimagesize($source); 
    $mime = $imgInfo['mime']; 
     
    // Create a new image from file 
    switch($mime){ 
        case 'image/jpeg': 
            $image = imagecreatefromjpeg($source); 
            break; 
        case 'image/png': 
            $image = imagecreatefrompng($source); 
            break; 
        case 'image/gif': 
            $image = imagecreatefromgif($source); 
            break; 
        default: 
            $image = imagecreatefromjpeg($source); 
    } 
     
    // Save image 
    imagejpeg($image, $destination, $quality); 
     
    // Return compressed image 
    return $destination; 
}

function notify($id, $text){
    include '../config.php';
    $stmt = $conn->PREPARE("INSERT INTO `notifications`(`school_id`, `events`) VALUES (?,?)");
    $stmt->BIND_PARAM("ss", $id, $text);
    $stmt->EXECUTE();
    $stmt->close();
}

function countVideos($tid){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE `teacher_id` = ?");
    $stmt->BIND_PARAM("s", $tid);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    return $count;
}

function assignmentSet($id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `assignment` WHERE `assignment_id` = ?");
    $stmt->BIND_PARAM("s", $id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    if ($count==0){
        return false;
    }else{
        return true;
    }
}

function getStudentName($student_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s", $student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $fullname = $row['lastname']." ".$row['firstname']." ".$row['middlename'];
        return $fullname;
    }
}

function countDiscussions($discusion_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `discussions` WHERE `discussion_id` = ?");
    $stmt->BIND_PARAM("s", $discusion_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    return $count;
}


function getReceiver($id){
    include '../config.php';
    //determine length of ID - admin(6) or student/teacher(14)
    $count = strlen($id);
    if ($count==6){
        //search admin table
        $stmt = $conn->PREPARE("SELECT * FROM `school_admins` WHERE `school_id` = ?");
            $stmt->BIND_PARAM("s", $id);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            while ($row = $result->fetch_assoc()){
                $receiver = ucwords($row['school_name'])." Admin";
                return $receiver;
            }
        
    }elseif($count==14){
        //detect 9th character $id[8]
        if ($id[8]=="T"){
            //search teachers table
            $stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
            $stmt->BIND_PARAM("s", $id);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            while ($row = $result->fetch_assoc()){
                $receiver = ucwords($row['lastname'])." ".ucwords($row['firstname']);
                return $receiver;
            }
            
            
        }elseif($id[8]=="S"){
            //search students table
            $stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
            $stmt->BIND_PARAM("s", $id);
            $stmt->EXECUTE();
            $result = $stmt->GET_RESULT();
            while ($row = $result->fetch_assoc()){
                $receiver = ucwords($row['lastname'])." ".ucwords($row['firstname']);
                return $receiver;
            }
            
        }else{
            return "Undefined";
        }
    }else{
        return "Undefined";
    }
    
}

function midScore($student_id, $students_subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `mid_term` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s",$student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row[$students_subject];
        return $score;
    }
}

function examScore($student_id, $students_subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `exam` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s",$student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row[$students_subject];
        return $score;
    }
}

?>















