<?php

//reverse page url to get $school_name
    //this allows entering school page by typing the url directly.
$pageurl = $_SERVER['REQUEST_URI'];
$explode = explode('/',$pageurl);
$pageurl = $explode[1];
//replace hyphen with space
$school_name = str_replace("-"," ",$pageurl);


include '../config.php';

//fetch all school records from `schools` table
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_name`=?");
$stmt->BIND_PARAM("s", $school_name);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    //save records to local variables
    $school_id = $row['school_id'];
    $school_category = $row['school_category'];
    $school_location = $row['school_location'];
    $school_address = $row['school_address'];
    $school_status = $row['school_status'];
    $admission_info = $row['admission_info'];
    $admission_status = $row['admission_status'];
    $school_about = $row['school_about'];
    $school_email = $row['school_email'];
    $school_logo = $row['school_logo'];
    $school_front_image = $row['school_front_image'];
    $school_phone_main = $row['school_phone_main'];
    $school_phone_2 = $row['school_phone_2'];
    $school_phone_3 = $row['school_phone_3'];
    $school_website = $row['school_website'];
    $school_ig = $row['school_ig'];
    $school_fb = $row['school_fb'];
    $school_twitter = $row['school_twitter'];
    $school_opening = $row['school_opening'];
    $school_closing = $row['school_closing'];
}

?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>School Page</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-sticky-subnav layout-default ">
        
        <?php include ("../include/header-school.php"); ?>

            <!-- Header Layout Content -->
            <div class="mdk-header-layout__content page-content ">

                <div class="border-bottom-2 py-16pt navbar-light bg-white border-bottom-2">
                    <div class="container page__container">
                        <div class="row align-items-center">
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt mb-md-0 pb-16pt pb-md-0">
                                <div class="rounded-circle bg-primary w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">phone</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt"><?php if($school_phone_main){ echo $school_phone_main;}else{ echo 'Not Available Yet';} ?></div>
                                    <p class="card-subtitle text-70">Contact school admin</p>
                                </div>
                            </div>
                            <div class="d-flex col-md align-items-center border-bottom border-md-0 mb-16pt mb-md-0 pb-16pt pb-md-0">
                                <div class="rounded-circle bg-primary w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">location_on</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt"><?php if($school_address){ echo $school_address;}else{ echo 'Not Available Yet';} ?></div>
                                    <p class="card-subtitle text-70"><?php if($school_location){ echo $school_location;}else{ echo 'Not Available Yet';} ?></p>
                                </div>
                            </div>
                            <div class="d-flex col-md align-items-center">
                                <div class="rounded-circle bg-primary w-64 h-64 d-inline-flex align-items-center justify-content-center mr-16pt">
                                    <i class="material-icons text-white">schedule</i>
                                </div>
                                <div class="flex">
                                    <div class="card-title mb-4pt"><?php if($school_opening and $school_closing){ echo $school_opening." - ".$school_closing;}else{ echo 'Not Available Yet';} ?></div>
                                    <p class="card-subtitle text-70">Monday - Friday</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                
                <div class="mdk-box mdk-box--bg-white-45 bg-grey js-mdk-box mb-0"
                     data-effects="parallax-background blend-background">
                    <div class="mdk-box__content d-flex align-items-center justify-content-center container page__container text-center py-112pt"
                         style="min-height: 656px;">

                        <div class="row card-group-row no-gutters flex z-0">
                            <div class="col-md-4 col-sm-6 card-group-row__col">

                                <div class="card card-group-row__card text-center o-hidden border-0 card--transparent mb-md-0">

                                    <div class="card-body d-flex flex-column">
                                        <div class="flex-grow mb-16pt">
                                            <h4 class="mb-8pt">About Us</h4>
                                            <p class="text-70 mb-0">
                                                <strong> <?php if($school_about){ echo $school_about;}else{ echo 'Not Available Yet';} ?> 
                                                </strong> 
                                            </p>
                                        </div>
                                    </div>
                                    <div class="card-footer">
                                        <a href="#"
                                           class="btn btn-outline-secondary">Know More</a>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-4 col-sm-6 card-group-row__col">

                                <div class="card card-group-row__card text-center o-hidden card--raised border-0 mb-md-0 card--scaled z-2">

                                    <div class="card-body d-flex flex-column">
                                        <div class="flex-grow mb-16pt">
                                            <h4 class="mb-8pt">Admission Information</h4>
                                            <p class="text-70 mb-0">
                                                <strong><?php if($admission_status = "Yes"){ echo 'Admission is currently ongoing.';}else if($admission_status = "No"){ echo 'Admission is currently closed for now.';}else{echo '';} ?> </br>
                                                <?php if($admission_info){ echo $admission_info;}else{ echo 'Not Available Yet';} ?></strong>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="card-footer">
                                        <a href="#"
                                           class="btn btn-accent">Apply for Admission</a>
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-4 col-sm-6 card-group-row__col">

                                <div class="card card-group-row__card text-center o-hidden border-0 card--transparent mb-sm-0">

                                    <div class="card-body d-flex flex-column">
                                        <div class="flex-grow mb-16pt">
                                            <h4 class="mb-8pt">Contact Us</h4>
                                            <p class="text-70 mb-0">
                                            <span class="h4 m-0 font-weight-normal"><i class="material-icons">location_on</i></span>
                                            <span class="h4 m-0 font-weight-normal"><?php if($school_address){ echo $school_address;}else{ echo 'Not Available Yet';} ?></span></br></br>
                                            <span class="h5 m-0 font-weight-normal">Opening Hours</span></br>
                                            <span class="h4 m-0 font-weight-normal"><?php if($school_opening and $school_closing){ echo $school_opening." - ".$school_closing;}else{ echo 'Not Available Yet';} ?></br>(Mon - Fri)</span></br></br>
                                            <span class="h4 m-0 font-weight-normal"><i class="material-icons">phone</i></span>
                                            <span class="h4 m-0 font-weight-normal"><?php if($school_phone_main){ echo $school_phone_main;}else{ echo 'Not Available Yet';} ?></span>
                                            </p>
                                        </div>
                                    </div>
                                    <div class="card-footer">
                                        <a href="contact.php"
                                           class="btn btn-outline-secondary">Get in Touch</a>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="page-section bg-white border-bottom-2">
                    <div class="container page__container">
                        <div class="page-headline page-headline--title text-center">
                            <h2>Access Our Learning Platform</h2>
                        </div>

                        <div class="d-flex justify-content-center">
                            <div class="row">
                                <div class="col-sm-auto mb-16pt mb-sm-0">
                                    <ul class="list-unstyled">
                                        <li class="d-flex align-items-center">
                                            <span class="text-20 material-icons mr-8pt">check</span>
                                            <span class="text-70">Simplified Learning</span>
                                        </li>
                                        <li class="d-flex align-items-center">
                                            <span class="text-20 material-icons mr-8pt">check</span>
                                            <span class="text-70">Adequate Teacher Support</span>
                                        </li>
                                        <li class="d-flex align-items-center">
                                            <span class="text-20 material-icons mr-8pt">check</span>
                                            <span class="text-70">Efficient Management System</span>
                                        </li>
                                    </ul>
                                </div>
                                <div class="col-sm-auto">
                                    <ul class="list-unstyled">
                                        <li class="d-flex align-items-center">
                                            <span class="text-20 material-icons mr-8pt">check</span>
                                            <span class="text-70">Unlimited Learning Access</span>
                                        </li>
                                        <li class="d-flex align-items-center">
                                            <span class="text-20 material-icons mr-8pt">check</span>
                                            <span class="text-70">Parental Access to Children Activities</span>
                                        </li>
                                        <li class="d-flex align-items-center">
                                            <span class="text-20 material-icons mr-8pt">check</span>
                                            <span class="text-70">Easy to Use</span>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                

                <div class="page-section">
                    <div class="container page__container">
                        <div class="position-relative d-flex carousel-card p-0 mx-auto justify-content-center">
                        <div class="col-auto">
                                <a href="login/teacher-login.php"
                                   class="btn btn-outline-primary btn-lg">Teacher Login</a>
                                <a href="login/student-login.php"
                                   class="btn btn-outline-accent btn-lg">Student Login</a>
                                <a href="login/parent-login.php"
                                   class="btn btn-outline-primary btn-lg">Parent Login</a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- // END Header Layout Content -->

            <!-- Footer -->
            <?php include ("../include/footer-school.php"); ?>
            
            <!-- // END Footer -->

        </div>
        <!-- // END Header Layout -->

        <!-- Drawer -->
        <?php include ("../include/sidebar-schooll.php"); ?>

        <!-- // END Drawer -->

        <!-- jQuery -->
        <script src="../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../public/vendor/popper.min.js"></script>
        <script src="../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../public/js/app.js"></script>

        <script>
            (function() {
                'use strict';
                var headerNode = document.querySelector('.mdk-header')
                var layoutNode = document.querySelector('.mdk-header-layout')
                var componentNode = layoutNode ? layoutNode : headerNode
                componentNode.addEventListener('domfactory-component-upgraded', function() {
                    headerNode.mdkHeader.eventTarget.addEventListener('scroll', function() {
                        var progress = headerNode.mdkHeader.getScrollState().progress
                        var navbarNode = headerNode.querySelector('#default-navbar')
                        navbarNode.classList.toggle('bg-transparent', progress <= 0.2)
                    })
                })
            })()
        </script>

    </body>

</html>