<?php
session_start();
include '../config.php';
include 'pfunctions.php';
$parent_menu = true;

//block logins
if(!isset($_SESSION["parent_in"]) || $_SESSION["parent_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}

//retrieve school_id and student id;
$student_id = $_SESSION["my_student_id"];
$parent_id = $student_id."P";

//fetch and store student details and store in local variables
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $middlename = $row['middlename'];
    $gender = $row['gender'];
    $dob = $row['dob'];
    $blood_group = $row['blood_group'];
    $religion = $row['religion'];
    $address = $row['address'];
    $school_id = $row['school_id'];
    $class = $row['class'];
    $subject01 = $row['subject01'];
    $subject02 = $row['subject02'];
    $subject03 = $row['subject03'];
    $subject04 = $row['subject04'];
    $subject05 = $row['subject05'];
    $subject06 = $row['subject06'];
    $subject07 = $row['subject07'];
    $subject08 = $row['subject08'];
    $subject09 = $row['subject09'];
    $subject10 = $row['subject10'];
}

//fetch and store parent details and store in local variables
$stmt = $conn->PREPARE("SELECT * FROM `parents` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $pfirstname = $row['firstname'];
    $plastname = $row['lastname'];
    $pemail = $row['email'];
}

//put all subject in array
$subjects = array($subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10);
$stmt->close();

//fetch school details with school_id
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){ 
    $school_name = strtolower($row['school_name']);
    $school_category = $row['school_category'];
    $school_address = $row['school_address'];
    $school_location = $row['school_location'];
    $school_status = $row['school_status'];
}
$stmt->close();



?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Parent Dashboard - School Name | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Parent Dashboard</h2>
                                <h5 class="mb-0"><?php echo "Welcome ".$plastname.", ".$pfirstname;?></h5>
                                <p class="mb-0">(<?php echo $pemail;?>)</p>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="../index.php">Home</a></li>

                                    <li class="breadcrumb-item active">

                                        Dashboard

                                    </li>

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="#"
                                   class="btn btn-outline-secondary">Student Records</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                <div class="container page__container">
                    <div class="page-section">

                        <div class="page-separator">
                            <div class="page-separator__text">Student's Overview</div>
                        </div>
                        
                        <div class="card table-responsive mb-24pt">
                            <table class="table table-flush table--elevated">
                                <thead>
                                    <tr>
                                        <th>Student Profile</th>
                                        <th class="text-right">Details</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <p class="mb-0"><strong>Name:</strong></p>
                                        </td>
                                        <td class="text-right"><strong><?php echo strtoupper($lastname)."    ".ucwords($firstname)." ".$middlename; ?></strong></td>
                                    </tr>
                                    <tr>
                                        <td><strong>Class:</strong></td>
                                        <td class="text-right"><strong><?php echo strtoupper($class); ?></strong></td>
                                    </tr>
                                    <tr>
                                        <td><strong>School:</strong></td>
                                        <td class="text-right"><strong><?php echo strtoupper($school_name); ?></strong></td>
                                    </tr>
                                    <tr>
                                        <td><strong>School ID:</strong></td>
                                        <td class="text-right"><strong><?php echo strtoupper($school_id); ?></strong></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                        
                        <div class="page-separator">
                            <div class="page-separator__text">Student Subjects</div>
                        </div>
<?php 
foreach($subjects as $subject){

?>
                        <div class="card js-overlay card-sm overlay--primary-dodger-blue stack stack--1 mb-16pt">
                            <div class="card-body d-flex flex-column">
                                <div class="d-flex align-items-center">
                                    <div class="flex">
                                        <div class="d-flex align-items-center">
                                            <div class="flex">
                                                <div class="card-title"><?php echo ucwords($subject); ?></div>
                                                <p class="flex text-50 lh-1 mb-0"><small></small></p>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <a href='view-records.php?class=<?php echo $class; ?>&subject=<?php echo $subject; ?>&id=<?php echo $student_id ?>' class="btn alert-soft-primary btn-link">View Class Records</a>
                                </div>
                            </div>
                        </div>
<?php
}
?>

                        
                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>

    </body>

</html>