<?php  

include '../config.php';

function countVideos($class, $subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE (`class`= ?) AND (`subject`= ?)");
    $stmt->BIND_PARAM("ss",$class,$subject);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    return $count;
}

function isAssignment($school_id, $class, $subject, $filename){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `assignment` WHERE (`school_id` = ?) AND (`class` = ?) AND (`subject` = ?) AND (`vfile_name` = ?)");
    $stmt->BIND_PARAM("ssss", $school_id, $class, $subject, $filename);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    $count = mysqli_num_rows($result);
    if ($count == 1){
        return true;
    }else{
        return false;
    }
}

function doneAssignment($school_id,$student_id, $assignment_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `ans_assignment` WHERE (`school_id` = ?) AND (`student_id` = ?) AND (`assignment_id` = ?)");
    $stmt->BIND_PARAM("sss", $school_id, $student_id, $assignment_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    if (mysqli_num_rows($result)==1){
        return true;
    }else{
        return false;
    }
}

function getScore($student_id, $assignment_id){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `ans_assignment` WHERE (`student_id` = ?) AND (`assignment_id` = ?)");
    $stmt->BIND_PARAM("ss", $student_id, $assignment_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row['score'];
    }
    return $score;
}

function midScore($student_id, $students_subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `mid_term` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s",$student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row[$students_subject];
        return $score;
    }
}

function examScore($student_id, $students_subject){
    include '../config.php';
    $stmt = $conn->PREPARE("SELECT * FROM `exam` WHERE `student_id` = ?");
    $stmt->BIND_PARAM("s",$student_id);
    $stmt->EXECUTE();
    $result = $stmt->GET_RESULT();
    while ($row = $result->fetch_assoc()){
        $score = $row[$students_subject];
        return $score;
    }
}



?>