<?php
session_start();
include '../config.php';
include 'stfunctions.php';
$student_subject = true;

//block logins
if(!isset($_SESSION["student_in"]) || $_SESSION["student_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}

//retrieve school_id and student id
$student_id = $_SESSION['student_id'];

//fetch and store student details and store in local variables
$stmt = $conn->PREPARE("SELECT * FROM `students` WHERE `student_id` = ?");
$stmt->BIND_PARAM("s", $student_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $middlename = $row['middlename'];
    $gender = $row['gender'];
    $dob = $row['dob'];
    $blood_group = $row['blood_group'];
    $religion = $row['religion'];
    $address = $row['address'];
    $school_id = $row['school_id'];
    $class = $row['class'];
    $subject01 = $row['subject01'];
    $subject02 = $row['subject02'];
    $subject03 = $row['subject03'];
    $subject04 = $row['subject04'];
    $subject05 = $row['subject05'];
    $subject06 = $row['subject06'];
    $subject07 = $row['subject07'];
    $subject08 = $row['subject08'];
    $subject09 = $row['subject09'];
    $subject10 = $row['subject10'];
}
//put all subject in array
$subjects = array($subject01,$subject02,$subject03,$subject04,$subject05,$subject06,$subject07,$subject08,$subject09,$subject10);
$stmt->close();

//fetch school details with school_id
$stmt = $conn->PREPARE("SELECT * FROM `schools` WHERE `school_id` = ?");
$stmt->BIND_PARAM("s", $school_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){ 
    $school_name = strtolower($row['school_name']);
    $school_category = $row['school_category'];
    $school_address = $row['school_address'];
    $school_location = $row['school_location'];
    $school_status = $row['school_status'];
}
$stmt->close();

//logout url mismatches - compare current url with school name
    //get school name from url
$school_name_url = $_SERVER['REQUEST_URI'];
$school_name_url = explode("/",$school_name_url);
$school_name_url = $school_name_url[1];
$school_name_url = str_replace("-", " ", $school_name_url);

if ($school_name!=$school_name_url){
    header("location: ../login/logout.php");
}

//get class and subject from url
$class = $_GET['class'];
$subject = $_GET['subject'];
$filename = $_GET['filename'];

//select file title with $filename
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE `vfile_name` = ?");
$stmt->BIND_PARAM("s",$filename);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    $topic = $row['topic'];
    $description = $row['description'];
    $discussion_id = $row['discussion_id'];
    $teacher_id = $row['teacher_id'];
}

//fetch teachers name
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s",$teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row=$result->fetch_assoc()){
    $teacher_firstname = $row['firstname'];
    $teacher_lastname = $row['lastname'];
}

//build subject folders
    //get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$class_folder =str_replace(" ","-",$class)."-".str_replace(" ","-",$subject); 
$dir = "/home3/cedargen/public_html/mysmartschool/$school_name_url/subject/$class_folder/";

$vurl = "https://mysmartschool.site/$school_name_url/subject/$class_folder/$filename";

//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }


$_SESSION['current'] = $_SERVER['REQUEST_URI'];
?>

<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Student Dashboard - Subject Topic | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Subject: <?php echo ucwords($subject); ?></h2>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6>(".$student_id.")</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active">Dashboard</li>
                                    <li class="breadcrumb-item active"><a href="subject-main.php?class=<?php echo $class; ?>&subject=<?php echo $subject; ?>&filename=<?php echo $filename; ?>">Subject Videos</a></li>
                                    <li class="breadcrumb-item active">Subject Topic</li>
                                    

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">My Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->
                <div class="page-section">
                    <div class="container page__container">
                    
                    <div class="page-separator">
                            <div class="page-separator__text">Class Video</div>
                        </div>
                    </div>
                </div>

                <div class="bg-primary page-section border-bottom-2">
                    <div class="container page__container">
                    <div class="js-player embed-responsive embed-responsive-16by9 mb-32pt" data-domfactory-upgraded="player">
                        <div class="player embed-responsive-item">
                            <div class="player__content">
                                <a href="" class="player__play bg-primary">
                                    <span class="material-icons">play_arrow</span>
                                </a>
                            </div>
                            <div class="player__embed">
                                <iframe class="embed-responsive-item" src="<?php echo $vurl; ?>" allowfullscreen=""></iframe>
                            </div>
                            
                        </div>
                    </div>
                    
                    <div class="d-flex flex-wrap align-items-end mb-16pt">
                        <h1 class="text-white flex m-0"><?php echo $topic; ?></h1><br>
                    </div>
                        <p class="hero__lead measure-hero-lead text-white-50">
                            <?php echo $description; ?>
                            <br>
                            <small class="text-white-50"><?php echo "Teacher: ".ucwords($teacher_firstname." ".$teacher_lastname); ?></small>
                            <a href="send-mail.php?to=<?php echo $teacher_id;?>" data-toggle="tooltip"
                                   data-title="Send Mail"
                                   data-placement="bottom"
                                   data-boundary="window"><i class='material-icons'>mail</i></a>
                        </p>
                        
                    </div>
                </div>
                
                
                <div class="page-section">
                    <div class="container page__container page__container">
                        <div class="d-flex flex-wrap align-items-end">
                            <h2 class="flex mb-3">Discussions</h2><br> 
                            <p class="h1 text-white-50 font-weight-light mb-3">
                                <?php 
                                if (isAssignment($school_id, $class, $subject, $filename)){
                                    echo "<a href='do-assignment.php?class=$class&subject=$subject&filename=$filename'  class='btn btn-primary'>Do <br>Assignment</a>";
                                }
                                ?>
                            </p>
                    </div>
                
                        <div class="card card-body">
<?php 
//select all records to set pagination variable.
$stmt = $conn->PREPARE("SELECT * FROM `discussions` WHERE `discussion_id`= ?");
$stmt->BIND_PARAM("s", $discussion_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 6;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();


$stmt = $conn->PREPARE("SELECT * FROM `discussions` WHERE `discussion_id`= ? ORDER BY `date_created` DESC LIMIT ?,?");
$stmt->BIND_PARAM("sss", $discussion_id, $this_page_first_result, $per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){ 
?>
                            <div class='d-flex card-body'>
                                
                                <a class='avatar avatar-sm mr-12pt'>
                                    <span class='avatar-title rounded-circle'><?php echo ucwords(substr($row['firstname'],0,1)).ucwords(substr($row['lastname'],0,1)); ?></span>
                                </a>
                                
                                <div class='flex'>
                                    <div class="d-flex align-items-center">
                                        <a class='text-body mr-2'><strong><?php echo ucwords($row['firstname']).", ".$row['lastname']; ?> </strong>
                                    <?php if ($row['identity']=="teacher"){echo "<span class='badge badge-warning'>".ucwords($row['identity'])."</span>";} ?>
                                    <?php if ($row['identity']=="student"){echo "<span class='badge badge-secondary'>".ucwords($row['identity'])."</span>";} ?>
                                    <small class="text-muted">
                                         &nbsp;&nbsp;
                                         <?php 
                                            //process time difference
                                            $datetime1 = new DateTime();
                                            $datetime2 = new DateTime($row['date_created']);
                                            $interval = $datetime1->diff($datetime2);
                                            //$elapsed = $interval->format('%y years %m months %a days %h hours %i minutes %s seconds');
                                            echo $elapsed = $interval->format('%a days %h hours %i mins');
                                            echo " ago";
                                         ?>
                                         
                                    </small>
                                    </a>
                                        <small class='ml-auto text-muted'>
                                            <?php
                                            if ($row['student_id']==$student_id){
                                                $d_id = $row['id'];
                                                echo "<a name='delete' class='btn alert-soft-danger btn-sm' href='delete-post.php?$class&subject=$subject&id=$d_id'><i class='material-icons'>delete</i></a>"; 
                                            }
                                            ?>
                                        </small>
                                    </div>
                                
                                <span class="text-60">
                                <?php 
                                    echo $row['discussion'];
                                ?>
                                </span>
                                
                                </div>
                            </div>
<?php
}
?>

                        <div class="card-footer p-8pt">

                            <ul class="pagination pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Prev</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span><?php echo $page; ?></span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                        <span>Next</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                                <li class="page-item"><a class="page-link"><span class="alert-soft-primary">(page <?php echo $page; ?> of <?php echo $number_of_pages; ?>)</span></a></li>
                            </ul>
                        </div>
                        
                        </div>
                        
                        
                        
                        
                        <div class="list-group">
                            <form method="post" action="">
                                <div class="list-group-item">
                                    <div role="group" aria-labelledby="label-question" class="m-0 form-group">
                                        <div class="form-row">
                                            <label id="label-question" for="question" class="col-md-3 col-form-label form-label">Questions/Responses</label>
                                            <div class="col-md-9">
                                                <textarea id="question" name="question" placeholder="Describe your questions/comments in detail ..." rows="5" class="form-control" required></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="list-group-item">
                                    <input type="submit" name="submit" value="submit" class="btn alert-primary">
                                    
                                </div>
                            </form>
<?php 
if (isset($_POST['submit'])){
    $question = $_POST['question'];
    $identity = "student";
    $stmt = $conn->PREPARE("INSERT INTO `discussions` (`firstname`, `lastname`, `student_id`, `discussion_id`, `identity`, `school_id`, `discussion`) VALUES (?,?,?,?,?,?,?)");
    $stmt->BIND_PARAM("sssssss", $firstname, $lastname, $student_id, $discussion_id, $identity, $school_id, $question);
    if ($stmt->EXECUTE()){
        echo "Your input has been added to the discussion successfully";
        echo "<meta http-equiv='refresh' content='0'>";
        
    }else{
        echo "Something is wrong, please try again later";
    }
}
?>
                        </div>
                        
                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>

    </body>

</html>