<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$manage_subject_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize(strtolower($row['class']));
    $subject = unserialize(strtolower($row['subject']));
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get classes and class links - for menu to work
$class_links = subjectMenu($subject, $class);
$class_title = $class_links[0];
$url = $class_links[1];
$len = count($url);


//get class name and subject from get
$this_class=$_GET['class'];
$this_subject = $_GET['subject'];

//validate if teacher has this class
if ( in_array(strtolower($this_class),$class) and in_array(strtolower($this_subject),$subject) ){
    
}else{
    echo "You dont have this class listed";
    echo "contact the school admin. Thank you.";
    exit();
}

//build subject directory and validate
    //files are in class name - subject name in subject folder
    //e.g. /home3/cedargen/public_html/mysmartschool/happy-day-academy/subject/class-subject/
//get school name from url
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = $page_url[1];

$class_folder =str_replace(" ","-",$this_class)."-".str_replace(" ","-",$this_subject); 
$dir = "/home3/cedargen/public_html/mysmartschool/$school_name_url/subject/$class_folder/";
$_SESSION['target_dir'] = $dir;

//check if directory exist
if (is_dir($dir)){
    //fine
}else{
    if(mkdir($dir)){
        //fine
    }else{
        echo "something is wrong. Could not initiate connection to class and subject folder";
        exit();  
    }
}



//check submit and send details to `students` table
if (isset($_POST['submit'])){
    //prepare data
    $school_id_push = $school_id;
    $teacher_id_push = $teacher_id;
    $class = $this_class;
    $subject = $this_subject;
    $topic = $_POST['topic'];
    $description = $_POST['videoabout'];
    $file_name = $_SESSION["file_upload_name"];
    $discussion_id = $teacher_id."-".$_SESSION["file_upload_name"];
    $assignment_id = "a-".$teacher_id."-".$_SESSION["file_upload_name"];
    
    //insert records
    $stmt = $conn->PREPARE("INSERT INTO `subjects`(`school_id`, `teacher_id`, `class`, `subject`, `topic`, `description`, `vfile_name`, `discussion_id`,`assignment_id`) 
                            VALUES (?,?,?,?,?,?,?,?,?)");
    $stmt->BIND_PARAM("ssssssss",$school_id_push,$teacher_id_push,$class,$subject,$topic,$description,$file_name,$discussion_id,$assignment_id);
    if ($stmt->EXECUTE()){
        $message = "Video record successfully uploaded for $topic";
    }else{
        $message = "Something went wrong, Please try again later.";
        $path = $dir.$file_name;
        unlink($path);
    }
}


?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Teacher Dashboard - Class Videos | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">
              
        <!-- fine uploader -->
        <link type="text/css"
              href="../../public/vendor/fine-uploader-new.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">
              
        <!-- drop zone -->
        <link type="text/css"
              href="../../public/css/dropzone.css"
              rel="stylesheet">
        
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->

            <!-- More spinner examples at https://github.com/tobiasahlin/SpinKit/blob/master/examples.html -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                                    <li class="breadcrumb-item active"><a href="index.php">Manage Subjects</a></li>
                                    <li class="breadcrumb-item active">Class Videos</li>
                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="index.php"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                <div class="page-section border-bottom-2">
                    <div class="container page__container">
                    
                    <div class="page-separator">
                        <div class="page-separator__text"><?php echo $this_class."   -   ". $this_subject; ?></div>
                    </div>
                    
<?php 

if (isset($_POST['submit'])){
// echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}
?>
                    
                        
                    <div class="row mb-32pt">    
                        <div class="col-lg-6">
                            <div class="page-separator">
                                <div class="page-separator__text">Class Video Upload</div>
                            </div>
                            <div class="alert alert-danger">Note: Only mp4 format are accepted at the moment</div>
                            <p class="card-subtitle text-70 mb-16pt mb-lg-0">
                            Step 1: Click Upload Videos<br>
                            Step 2: After upload is successful, provide video details and Click Submit<br>
                            
                            </p>
                        </div>
                        
                        <div class="col-lg-6 d-flex align-items-center">
                            <div class="flex"
                                 style="max-width: 100%">
                                
                                <form action="fileupload.php" class="dropzone" id="form1">
                                  <div class="fallback">
                                    <input name="file" type="file" form="form1" />
                                  </div>
                                </form>

                            </div>
                        </div>
                    </div>
                
                
                
                
                
                
                <div class="row mb-32pt">
                                <div class="col-lg-4">
                                    <div class="page-separator">
                                        <div class="page-separator__text">Class Video Details</div>
                                    </div>
                                    <p class="card-subtitle text-70 mb-16pt mb-lg-0">
                                    Please provide the following details about the video you uploaded. Kindly wait till the video finish uploading before you proceed with this part.     
                                    </p>
                                </div>
                                <div class="col-lg-8 d-flex align-items-center">
                                    <div class="flex" style="max-width: 100%">
                                        <form method="post" action="" id="form2">
                                            <div class="form-group">
                                                <label class="form-label" for="topic">Topic</label>
                                                <input name="topic"  type="text" class="form-control" id="title" placeholder="Enter the topic of the video you uploaded" required form="form2">
                                            </div>
                                            <div class="form-group">
                                                <label class="form-label" for="video-about">About Video</label>
                                                <textarea required rows="6" cols="45" name="videoabout" id="message" class="form-control" maxlength="500" placeholder="Write a brief description of the video you uploaded."></textarea>
                                            </div>
                                            <button name= "submit" type="submit" class="btn alert-primary" form = "form2">Submit</button>
                                        </form>
                                    </div>
                                </div>
                            </div>    
                
                    
                        <div class="page-separator">
                            <div class="page-separator__text">Class Video List</div>
                        </div>
                        <div class="col-lg-12 mb-8pt mb-sm-0">
                            
                        <div class="table-responsive" data-toggle="lists">

                            <table class="table mb-0 thead-border-top-0 table-nowrap">
                                <thead>
                                    <tr>
                                        <th>
                                            <a>SN</a>
                                        </th>
                                        <th>
                                            <a>Topic</a>
                                        </th>
                                        <th>
                                            <a>Description</a>
                                        </th>
                                        <th>
                                            <a>Watch</a>
                                        </th>
                                        <th>
                                            <a>Action</a>
                                        </th>
                                    </tr>
                                </thead>
<?php
//parse url once for proper pagination
$query1 = $_SERVER["QUERY_STRING"]; 
$split_query1 = explode('&page', $query1);
$query = $split_query1[0];
    
//determine which page number visitor is currently on
    if (!isset($_GET['page'])) {
       $page = 1;
    } else {
        $page = $_GET['page'];
    }

//select all records to set pagination variable.
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE (`teacher_id` = ?) AND (`class`= ?) AND (`subject`= ?)");
$stmt->BIND_PARAM("sss", $teacher_id, $this_class, $this_subject);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$count = mysqli_num_rows($result);
$per_page = 5;
$number_of_pages = ceil($count/$per_page);
$this_page_first_result = ($page-1)*$per_page;
$stmt->close();

//select all records from admins table
$stmt = $conn->PREPARE("SELECT * FROM `subjects` WHERE (`teacher_id` = ?) AND (`class` = ?) AND (`subject` = ?) ORDER BY `date_created` DESC LIMIT ?,?");
$stmt->BIND_PARAM("sssss", $teacher_id, $this_class, $this_subject, $this_page_first_result,$per_page);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
$sn = $this_page_first_result + 1;
while($row = $result->FETCH_ASSOC()){
?>
                                <tbody class="list" id="clients">
                                    <tr>
                                        <td>
                                            <small class="text-50"><?php echo $sn; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo $row['topic']; ?></small>
                                        </td>
                                        
                                        <td>
                                            <small class="text-50"><?php echo substr($row['description'], 0, 50)."..."; ?></small>
                                        </td>
                                        
                                        <td>
                                            <a href="class-subject.php?class=<?php echo $row['class']; ?>&subject=<?php echo $row['subject']; ?>&filename=<?php echo $row['vfile_name']; ?>" class="btn btn-warning btn-sm">Watch Now</a>
                                            &nbsp;<i class="material-icons icon--left">play_circle_filled</i>
                                        </td>
                                        
                                        <td>
                                            <a href="delete-video.php?class=<?php echo $row['class']; ?>&subject=<?php echo $row['subject']; ?>&filename=<?php echo $row['vfile_name']; ?>" class="btn btn-danger btn-sm">Delete</a>
                                        </td>
                                        
                                    </tr>
                                </tbody>
<?php 
$sn+=1;
    }

?>
                            </table>
                        </div>

                        <div class="card-footer p-8pt">

                            <ul class="pagination justify-content-start pagination-xsm m-0">
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=1" ?>" aria-label="Page 1">
                                        <span>first</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page <= 1){ echo '#'; } else { echo "?".$query."&page=".($page - 1); } ?>" aria-label="Previous">
                                        <span aria-hidden="true" class="material-icons">chevron_left</span>
                                        <span>Prev</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="#" aria-label="Page 1">
                                        <span><?php echo $page; ?></span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php if($page >= $number_of_pages){ echo '#'; } else { echo "?".$query."&page=".($page + 1); } ?>" aria-label="Next">
                                        <span>Next</span>
                                        <span aria-hidden="true" class="material-icons">chevron_right</span>
                                    </a>
                                </li>
                                <li class="page-item">
                                    <a class="page-link" href="<?php echo "?".$query."&page=".$number_of_pages; ?>" aria-label="Page 2">
                                        <span>last</span>
                                    </a>
                                </li>
                                <li class="page-item"><a class="page-link"><span class="alert-soft-primary">(page <?php echo $page; ?> of <?php echo $number_of_pages; ?>)</span></a></li>
                            </ul>
                        </div> 
                                        
                        </div>
                       
                        

                    </div>
                </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>
        
        <!-- dropzone -->
        
        <script src="../../public/vendor/dropzone.min.js"></script>
        <script src="../../public/js/dropzone.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>
        
        <script>
            if ( window.history.replaceState ) {
                window.history.replaceState( null, null, window.location.href );
            }
        </script>
    
    </body>
    

</html>