<?php
session_start();
include '../config.php';
include 'tfunctions.php';
$live_class_menu = true;

//block logins
if(!isset($_SESSION["teacher_in"]) || $_SESSION["teacher_in"] !== true){
    echo "<meta http-equiv='refresh' content='0;url=https://mysmartschool.site/'>";
    exit();
}
$teacher_id = $_SESSION['teacher_id'];

//fetch all teachers record from teacher's table
$stmt = $conn->PREPARE("SELECT * FROM `teachers` WHERE `teacher_id` = ?");
$stmt->BIND_PARAM("s", $teacher_id);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $firstname = $row['firstname'];
    $lastname = $row['lastname'];
    $class = unserialize($row['class']);
    $subject = unserialize($row['subject']);
    $school_name = $row['school_name'];
    $status = $row['status'];
    $school_id = $row['school_id'];
}

//get filename,class and subject from url
//$topic1 = strtolower($_GET['topic']);
//$subject = strtolower($_GET['subject']);
$token = $_GET['token'];

//fetch all teachers record from live class' table
$stmt = $conn->PREPARE("SELECT * FROM `live_class` WHERE (`teacher_id` = ?) AND (`id` = ?)");
$stmt->BIND_PARAM("ss", $teacher_id,$token);
$stmt->EXECUTE();
$result = $stmt->GET_RESULT();
while ($row = $result->fetch_assoc()){
    $teacher_name = $row['teacher_name'];
    $subject = $row['subject'];
    $topic = $row['topic'];
    $class = $row['class'];
    $start_time = $row['start_time'];
    $end_time = $row['end_time'];
    $class_link = $row['class_link'];
    $class_date = $row['class_date'];
}

//block url mismatches
$page_url = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url = str_replace("-"," ",$page_url[1]);

if (strtolower($school_name)!=strtolower($school_name_url)){
    header("location: ../login/logout.php");
}

//get live class links
$url1 = explode("/",$_SERVER['REQUEST_URI']);
$school_name_url_check = strtolower($url1[1]);
$url_main = 'https://mysmartschool.site/'.$school_name_url_check.'/teacher/setup-live-class.php';


if (isset($_POST['submit'])){
    //collect data
    $mytopic = strtolower($_POST['topic']);
    $mystart_time = $_POST['start_time'];
    $myend_time = $_POST['end_time'];
    $myclass_link = strtolower($_POST['class_link']);
    $myclass_date = $_POST['class_date'];
    
    //update record
    $stmt = $conn->PREPARE("UPDATE `live_class` SET `topic` = ?, `start_time` = ?, `end_time` = ?, `class_link` = ?, `class_date` = ? WHERE ((`teacher_id` = ?) AND (`id` = ?))");
    $stmt->BIND_PARAM("sssssss", $mytopic,$mystart_time,$myend_time,$myclass_link,$myclass_date,$teacher_id,$token);
    if ($stmt->EXECUTE()){
        $message = "You have successfully updated $subject live class ...returning to live class list...";
        notify($school_id, "$teacher_name has successfully updated $subject live class to start by $start_time on $class_date");
    }else{
        $message = "Something went wrong, Please try again later.";
    }
    
     echo "<meta http-equiv='refresh' content='3;url=$url_main'>";
}
?>



<!DOCTYPE html>
<html lang="en"
      dir="ltr">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible"
              content="IE=edge">
        <meta name="viewport"
              content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Edit live class - School Name | SmartSchool</title>

        <!-- Prevent the demo from appearing in search engines -->
        <meta name="robots"
              content="noindex">

        <link href="https://fonts.googleapis.com/css?family=Lato:400,700%7CRoboto:400,500%7CExo+2:600&display=swap"
              rel="stylesheet">
              
        <!-- Preloader -->
        <link type="text/css"
              href="../../public/vendor/spinkit.css"
              rel="stylesheet">

        <!-- Perfect Scrollbar -->
        <link type="text/css"
              href="../../public/vendor/perfect-scrollbar.css"
              rel="stylesheet">

        <!-- Material Design Icons -->
        <link type="text/css"
              href="../../public/css/material-icons.css"
              rel="stylesheet">

        <!-- Font Awesome Icons -->
        <link type="text/css"
              href="../../public/css/fontawesome.css"
              rel="stylesheet">

        <!-- Preloader -->
        <link type="text/css"
              href="../../public/css/preloader.css"
              rel="stylesheet">

        <!-- App CSS -->
        <link type="text/css"
              href="../../public/css/app.css"
              rel="stylesheet">
              
        <!-- Flatpickr -->
        <link type="text/css"
              href="../../public/css/flatpickr.css"
              rel="stylesheet">
        <link type="text/css"
              href="../../public/css/flatpickr-airbnb.css"
              rel="stylesheet">

    </head>

    <body class="layout-app ">
        
        <div class="preloader">
            <div class="sk-chase">
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
                <div class="sk-chase-dot"></div>
            </div>

            <!-- <div class="sk-bounce">
    <div class="sk-bounce-dot"></div>
    <div class="sk-bounce-dot"></div>
  </div> -->

            <!-- More spinner examples at https://github.com/tobiasahlin/SpinKit/blob/master/examples.html -->
        </div>


        <!-- Drawer Layout -->

        <div class="mdk-drawer-layout js-mdk-drawer-layout"
             data-push
             data-responsive-width="992px">
            <div class="mdk-drawer-layout__content page-content">

                <! -- Header -->
                <?php
                include ("top-nav-bar.php");
                
                ?>
                <!-- // END Header -->

                <div class="pt-32pt">
                    <div class="container page__container d-flex flex-column flex-md-row align-items-center text-center text-sm-left">
                        <div class="flex d-flex flex-column flex-sm-row align-items-center mb-24pt mb-md-0">

                            <div class="mb-24pt mb-sm-0 mr-sm-24pt">
                                <h2 class="mb-0">Teacher Dashboard</h2>
                                <h3><?php echo $school_name; ?></h3>
                                <h5 class="mb-0"><?php echo "Welcome ".$lastname.", ".$firstname."  <h6> Teacher ID: ".$teacher_id."</h6>"; ?></h5>

                                <ol class="breadcrumb p-0 m-0">
                                    <li class="breadcrumb-item"><a href="../index.php">Home</a></li>

                                    <li class="breadcrumb-item active">

                                        Dashboard

                                    </li>

                                </ol>

                            </div>
                        </div>

                        <div class="row"
                             role="tablist">
                            <div class="col-auto">
                                <a href="#"
                                   class="btn btn-outline-secondary">Manage Subjects</a>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- BEFORE Page Content -->

                <!-- // END BEFORE Page Content -->

                <!-- Page Content -->

                        <div class="container page__container">
                            <div class="page-section">
                                <div class="col-lg-12 d-flex align-items-center">
                                    <div class="flex"
                                         style="max-width: 100%">
                                    
                                        <div class="alert alert-soft-warning mb-0 p-8pt">
                                            <div class="d-flex align-items-start">
                                                <div class="mr-8pt">
                                                    <i class="material-icons">error_outline</i>
                                                </div>
                                                <div class="flex">
                                                    <small class="text-100">Kindly provide the correct details to update this live class. </small>
                                                </div>
                                            </div>
                                        </div>
                                        <br><br>
                                    
<?php 
if (isset($_POST['submit'])){
// echo confirmation message
    echo "<div class='row mb-32pt'>";
    echo "                       <div class='col-lg-12 d-flex align-items-center'>";
    echo "                          <div class='flex' style='max-width: 100%'>";
    echo "                              <div class='alert alert-soft-primary' role='alert'>";
    echo "                                   <div class='d-flex flex-wrap align-items-start'>";
    echo "                                       <div class='flex' style='min-width: 180px'>";
    echo "                                           <small class='text-black-100'>";
    if ($message){echo $message;}
    echo"                                            </small>";
    echo "                                       </div>";
    echo "                                   </div>";
    echo "                               </div>";
    echo "                           </div>";
    echo "                       </div>";
    echo "                    </div>";
}
?>
                                    
                                    <!-- FORM START -->
                                    <form  action="" method="POST">
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-name">Teacher Name</label>
                                            <input type="text"
                                                   name="name"
                                                   class="form-control"
                                                   id="schoolname"
                                                   value = "<?php echo ucwords($teacher_name); ?>";
                                                   placeholder="Enter teacher name in full"
                                                   required="" 
                                                   disabled>
                                            <span><em>You cannot edit the teacher name</em></span>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-name">Subject</label>
                                            <input type="text"
                                                   name="name"
                                                   class="form-control"
                                                   id="schoolname"
                                                   value = "<?php echo ucwords($subject); ?>";
                                                   placeholder="Enter subject here"
                                                   required="" 
                                                   disabled>
                                            <span><em>You cannot edit the subject</em></span>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="topic">Topic</label>
                                            <input type="text"
                                                   name="topic"
                                                   class="form-control"
                                                   id="topic"
                                                   value = "<?php echo $topic; ?>";
                                                   placeholder="Type subject topic here"
                                                   required="">
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="school-name">Class</label>
                                            <input type="text"
                                                   name="name"
                                                   class="form-control"
                                                   id="schoolname"
                                                   value = "<?php echo strtolower($class); ?>";
                                                   placeholder="Enter class here"
                                                   required="" 
                                                   disabled>
                                            <span><em>You cannot edit the class</em></span>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label">Select Date</label>
                                            <input name="class_date" type="hidden" class="form-control flatpickr-input" data-toggle="flatpickr" value="<?php echo $class_date; ?>" required>
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="starttime">Class Start Time</label>
                                            <input id="starttime"
                                                   type="text"
                                                   name="start_time"
                                                   class="form-control"
                                                   placeholder="Pick a start time"
                                                   data-toggle="flatpickr"
                                                   data-flatpickr-enable-time="true"
                                                   data-flatpickr-no-calendar="true"
                                                   data-flatpickr-alt-format="H:i"
                                                   data-flatpickr-date-format="H:i"
                                                   value="<?php echo $start_time; ?>">
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="endtime">Class End Time</label>
                                            <input id="endtime"
                                                   type="text"
                                                   name="end_time"
                                                   class="form-control"
                                                   placeholder="Select end time"
                                                   data-toggle="flatpickr"
                                                   data-flatpickr-enable-time="true"
                                                   data-flatpickr-no-calendar="true"
                                                   data-flatpickr-alt-format="H:i"
                                                   data-flatpickr-date-format="H:i"
                                                   value="<?php echo $end_time; ?>">
                                        </div>
                                        <div class="form-group">
                                            <label class="form-label"
                                                   for="class-link">Link to Class</label>
                                            <input type="text"
                                                   name="class_link"
                                                   class="form-control"
                                                   id="classlink"
                                                   value = "<?php echo $class_link; ?>";
                                                   placeholder="Type the class link (Google Classroom or Zoom link) for the class"
                                                   required="">
                                        </div>
                                            <button name="submit" type="submit" class="btn btn-success">
                                                Update Live Class
                                            </button> 
                                    </form>
                                <br><br>
        
                                    </div>
                                </div>
                                
                                
                                
                            </div>
                        </div>

                <!-- // END Page Content -->

                <!-- Footer -->
                <?php 
                include ("footer.php"); 
                
                ?>

                <!-- // END Footer -->

            </div>

            <!-- // END drawer-layout__content -->

            <?php 
            include ("main-nav-bar.php"); 
            
            ?>
            
        </div>

        <!-- // END Drawer Layout -->

        <!-- jQuery -->
        <script src="../../public/vendor/jquery.min.js"></script>

        <!-- Bootstrap -->
        <script src="../../public/vendor/popper.min.js"></script>
        <script src="../../public/vendor/bootstrap.min.js"></script>

        <!-- Perfect Scrollbar -->
        <script src="../../public/vendor/perfect-scrollbar.min.js"></script>

        <!-- DOM Factory -->
        <script src="../../public/vendor/dom-factory.js"></script>

        <!-- MDK -->
        <script src="../../public/vendor/material-design-kit.js"></script>

        <!-- App JS -->
        <script src="../../public/js/app.js"></script>
        
        <!-- Preloader -->
        <script src="../../public/js/preloader.js"></script>

        <!-- Global Settings -->
        <script src="../../public/js/settings.js"></script>

        <!-- Flatpickr -->
        <script src="../../public/vendor/flatpickr/flatpickr.min.js"></script>
        <script src="../../public/js/flatpickr.js"></script>

        <!-- Moment.js -->
        <script src="../../public/vendor/moment.min.js"></script>
        <script src="../../public/vendor/moment-range.js"></script>

        <!-- Chart.js -->
        <script src="../../public/vendor/Chart.min.js"></script>
        <script src="../../public/js/chartjs.js"></script>

        <!-- Chart.js Samples -->
        <script src="../../public/js/page.student-dashboard.js"></script>

        <!-- List.js -->
        <script src="../../public/vendor/list.min.js"></script>
        <script src="../../public/js/list.js"></script>

        <!-- Tables -->
        <script src="../../public/js/toggle-check-all.js"></script>
        <script src="../../public/js/check-selected-row.js"></script>

    </body>

</html>